commit 03a4a3f05292f751943929ce5a22f81ffe92ec5c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 8 06:27:00 2023 -0400

    wayland

commit 983d52087305dfa085a8e4f785215638187a25ca
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 8 04:38:41 2023 -0400

    bumped changelog version

commit 6432251288b4aa83691c02e28b6a43f3413989c5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 8 04:32:44 2023 -0400

    wayland

commit b2300e870508902f6acd7ce2d831a5fb519dcd2d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 22 18:04:38 2023 -0400

    bumped changelog version

commit b7245ba95d91d0f83509b807c66eea4a33873e7a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 22 18:01:51 2023 -0400

    fix paths

commit 9514459da30b402e628b434fced3820691c0922f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 22 17:53:02 2023 -0400

    bumped changelog version

commit e8d7f78fa1af5801612a1fd242a191b14825640e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 22 17:52:37 2023 -0400

    notes

commit b851182691ffb94752aac35c7cbfd9fae19cc670
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 22 17:35:50 2023 -0400

    snowflake

commit 7310096c47f8f5f8495fd0dc2cf0ffda8e47a7d5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 22 17:33:26 2023 -0400

    fix path

commit 5ea3b5254253bb9fde516af98939d4b328eec409
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 22 16:53:28 2023 -0400

    remove unknown country specifics

commit fe66a8ebac67d1a56b88e76c3628295cbc90e631
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 22 16:37:08 2023 -0400

    fix

commit 6378eea430a92c596461b869003196af9f19a1cb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 22 16:36:13 2023 -0400

    fix

commit ba7ea81b8e7b97ae8a6b924975f9fed644e29a6c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 22 16:33:05 2023 -0400

    snowflake

commit 0562b9431d3c05a47a75222e312025dace3820e9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 22 16:27:29 2023 -0400

    snowflake

commit 8585728dd81dcd7711091c6b7115227047898ce0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 22 16:25:31 2023 -0400

    update default bridges as per Tor Browser 13.0a2

commit 6497acdd6872c31bdac5a6fd6ff47f94d826c3d7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 17 11:31:01 2023 -0400

    bumped changelog version

commit 35fde038acc141977215cee496d9b4ae9c9ac818
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 17 11:16:23 2023 -0400

    Kicksecure

commit 1208e110402009991956ae1e73da3dbb27885370
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 17 10:54:38 2023 -0400

    kicksecure

commit 217173e73ba31f7a16d9da8a6a6bf4fd9b89dec2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 21 10:03:17 2023 +0000

    bumped changelog version

commit 933715f1674dbe5128078e3ccc38e9f591aa7816
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 21 10:02:39 2023 +0000

    comment out unnecessary import
    
    I: anon-connection-wizard source: uses-python-distutils [usr/lib/python3/dist-packages/anon_connection_wizard/anon_connection_wizard.py:19]
    N:
    N:   This package uses the Python distutils module.
    N:
    N:   In Python 3.10 and 3.11, distutils has been formally marked as deprecated.
    N:   Code that imports distutils will no longer work from Python 3.12.
    N:
    N:   Please prepare for this deprecation and migrate away from the Python
    N:   distutils module.
    N:
    N:   See-Also: https://peps.python.org/pep-0632

commit 42788b93f8fa2aad4f5c18447d62572d3717474e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 21 09:12:05 2023 +0000

    bumped changelog version

commit 87a6f5bdfa618facb1a419529ec87f2a98445ee5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 21 09:11:24 2023 +0000

    bookworm

commit 1b0616dc80c65bdb724fb6687d379179c6d51ad3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 16 10:49:50 2023 +0000

    bumped changelog version

commit 1145e87a3f25da9a658f4e55e65a49f340a7214b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 16 10:48:59 2023 +0000

    readme

commit 8864a86e4917fabc1f72b26acb587fc4ddb234dc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jun 15 16:57:44 2023 +0000

    bumped changelog version

commit 980870ce1b80550ab9b6dac8ab7b69451fa9d47a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 14 13:14:41 2023 +0000

    copyright

commit fa77c4c15c4fbee0854077403c4e88bb4ee64973
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 17:42:39 2023 +0000

    bumped changelog version

commit 78703c24bf2a1d042e17c75a464344ccebaaeaa5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 16:22:26 2023 +0000

    Standards-Version: 4.6.1.0

commit 37b8980cf7d338853eba823a71b6a98f98fe4aea
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 15:14:11 2023 +0000

    bumped changelog version

commit dd49cddad3542281f18808900c1747de496d48ee
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 14:51:54 2023 +0000

    update copyright year

commit fb400406ca88e57c3594d0489a9b08e6e75ea387
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 8 10:27:26 2022 -0400

    bumped changelog version

commit 66da77031123886e8f2fe1d76d7658571ab50fb3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 1 17:39:08 2022 -0400

    description

commit f7d7e223af2ff325d411c05030df106f0f64bfb8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 1 17:36:04 2022 -0400

    work towards non-Whonix support

commit e2d9e9c8969976a3639b405ede610e6f38c28693
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun May 29 08:37:05 2022 -0400

    bumped changelog version

commit 44923ed122c5107904840fa5eb8ae48d43aa7e5f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat May 28 14:52:09 2022 -0400

    update default bridges

commit bb6417c02c58649791c53e2872b5452a8f801c07
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 25 06:05:37 2022 -0400

    bumped changelog version

commit 4191c63494f6e0b247536b777f431ccab0bcfc21
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 20 15:27:02 2022 -0400

    readme

commit a6272a3cf0f7736fad18b939796bedc5b5d18969
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 20 14:46:29 2022 -0400

    copyright

commit 5e439dc9ce30d4ab0026be8b03c518c06dcf670e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Apr 10 12:37:31 2022 -0400

    readme

commit e985fddf6032c20bf659a644aaabf63e6ce68462
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 27 05:49:05 2022 -0500

    bumped changelog version

commit c6685af1a9fc4bbd1c912e7ff3277538baaff893
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 20 18:14:32 2022 -0500

    add tag ap_conn_done_pt

commit 850604b878fd1208bdb1c6b08324efac717a5285
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 19 10:53:12 2022 -0500

    add tag conn_done_pt

commit 1d53d87c74cf36e4ef11c20a0c7a2f07aa15dd38
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 19 07:06:54 2022 -0500

    bumped changelog version

commit 54fb98886fcbfbce235633773287cb838d382cb5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 18 05:47:09 2022 -0500

    update default bridges

commit 1f8e49b0c25e0db46631a18a998fe40723e25be9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Nov 9 14:32:27 2021 -0500

    readme

commit d7fba2164ffda8b6d45b72d91343b35f59bc9e49
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Nov 9 14:10:30 2021 -0500

    bumped changelog version

commit a14683bcd98d6c87b7e323919aba52aa04d96352
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 8 02:28:48 2021 -0500

    output

commit 136e5bb3dc363b83ee04649f18b7e22e397dcb6e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Sep 14 13:43:53 2021 -0400

    bumped changelog version

commit 37826ee5bdc760e4684442719a952f8b714f467a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Sep 14 10:59:07 2021 -0400

    fix

commit 3b7e838ac844d688c0718f332a5c8130fdd2bba3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 11 18:30:05 2021 -0400

    bumped changelog version

commit 37bfc6edbdb2b7cff024b673a4074110332c4304
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 11 16:31:03 2021 -0400

    readme

commit 5bb502bb10d2bfe6c14b61735c526beb0fbba4c8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 5 16:26:41 2021 -0400

    bumped changelog version

commit 3f3221e99cae87b9ef6bd800fe8743d5f3ac2270
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 4 12:46:56 2021 -0400

    lintian FHS

commit 9bfb937afe74054c03544f12e2eec91db7640df5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 4 12:32:35 2021 -0400

    chmod -x usr/lib/python3/dist-packages/anon_connection_wizard/*
    
    lintian FHS

commit 23fd7b466846260a542d00eae57ad884e6a4b7ff
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 11:47:31 2021 -0400

    re-generate man pages (generated using "genmkfile manpages")

commit 4644fe4a8cf903bdf8dd9a2d099f67696b871fa6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 11:41:10 2021 -0400

    man page

commit 8230eee0d2018c3834c6e259fdacd875f0a1c2e2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 05:48:15 2021 -0400

    bullseye

commit 0ec02ac14a5eef945254ed3e6cab82d24d4f948e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 1 16:24:16 2021 -0400

    readme

commit c7bec76a7d22b532691350a2c582cb1c122dd222
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 11 03:53:56 2021 -0400

    bumped changelog version

commit a44c9d384c2bb34af0bbb1e10bd2d38396854013
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 11 03:53:43 2021 -0400

    fix

commit 308708f9498668cb066506e7cb1760f0a3c7fe3d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 11 03:00:03 2021 -0400

    bumped changelog version

commit 56cdf3e3de1753f61827cf402116357b3292a80b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 11 02:59:20 2021 -0400

    fix default bridges
    
    Thanks to @Time-Warp for the bug report!
    
    https://forums.whonix.org/t/anon-connection-wizard-crash/11782

commit c1a2f2047a6314a91d01460d8c881f84a2f71496
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 5 08:30:18 2021 -0400

    bumped changelog version

commit 7f1823425bf1f802fa4a99ab1f415cb07d3d4579
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 5 08:26:40 2021 -0400

    comment

commit ba8f76cec8d4cf2ff6d35a7e8aca1a45bcdb4c81
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Apr 17 08:37:35 2021 -0400

    bumped changelog version

commit fba74756136ac85b68e64f63311d64107cf5383f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Apr 17 08:37:01 2021 -0400

    update usr/share/anon-connection-wizard/bridges_default
    
    from ~/tor-browser/Browser/TorBrowser/Data/Tor/torrc

commit 990d292acb1d603bb184ae039bdf22f33e4a0f43
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Apr 17 08:20:39 2021 -0400

    bumped changelog version

commit 7f4f2bdce5ce2890c767bea6820b8c857d2b55ab
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Apr 12 14:08:00 2021 -0400

    minor

commit 380b4b3411aa9f8a1a31e8a2b2decedc52d431df
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Apr 12 13:58:24 2021 -0400

    fix error handling
    
    Thanks to Bl3ckJ4ck for the bug report!
    
    https://forums.whonix.org/t/anon-connection-wizard-py-possible-error-in-the-code/11427

commit 1633426b57b6b831354492a5767ae983dad25b6e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 9 07:40:50 2021 -0400

    bumped changelog version

commit 6612253f80836c233288fa1c70b85498bf340742
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 9 07:40:49 2021 -0400

    readme

commit 8b9c0d617a608512247f959a5a1972156466960a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Apr 8 09:40:33 2021 -0400

    description

commit cb20675cecb5c023dc47e3a8df680c98df544501
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Apr 8 09:14:22 2021 -0400

    minor non-Whonix reliability fix

commit 47a9303bcb8c34517c90fb4439e03951a029281b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Apr 8 09:04:06 2021 -0400

    wording similar to newer tor-launcher

commit 99c4cbf9ba3da9dd25d27de7a82c53cc7f11534d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 7 19:09:56 2021 -0400

    comment

commit 590099db43cc16f59201aea7c0b20552189ebd61
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 7 19:08:49 2021 -0400

    comment

commit 2864ffe6daaa99e9d73b868c6a1195c02a3b732c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 7 19:06:41 2021 -0400

    comment

commit ae5a36248def47b3c5f398afac7d0c5681d16e7b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 7 18:41:40 2021 -0400

    bumped changelog version

commit c1dc2e81ef788ea4e7465b4737639a3227404603
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 7 17:40:15 2021 -0400

    debugging

commit 5f46ec522860848d3c156598d433eccde58ef465
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 7 17:31:59 2021 -0400

    cleanup

commit 309235c50553c9e79f748b89f4088e913d725983
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 7 17:28:47 2021 -0400

    improve error handling

commit 3d1d5ad3f5ec5a9da997c248cdc78ad0c8669533
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 7 17:28:20 2021 -0400

    part of fixing meek lite in Whonix
    
    https://forums.whonix.org/t/censorship-circumvention-tor-pluggable-transports/2601/9
    
    https://forums.whonix.org/t/whonix-gateway-cli-15-0-1-5-4-meek-azure-bridge-tls-error/11383
    
    Thanks to @Bl3ckJ4ck for the bug report!

commit 2b33df7e051a2d7426b6312ecc9a128f7e7ffa95
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 7 16:48:05 2021 -0400

    part of fixing meek lite in Whonix
    
    add /usr/lib/anon-gw-anonymizer-config/edit-etc-resolv-conf
    
    https://forums.whonix.org/t/censorship-circumvention-tor-pluggable-transports/2601/9
    
    https://forums.whonix.org/t/whonix-gateway-cli-15-0-1-5-4-meek-azure-bridge-tls-error/11383
    
    Thanks to @Bl3ckJ4ck for the bug report!

commit 6947dd1c41e36e3e53902f5fe675a2ece3442b74
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 7 13:30:26 2021 -0400

    make executable

commit daf51cb2305273cf9c41a93a9f6de1e3c2257778
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 18 08:58:43 2021 -0400

    bumped changelog version

commit 906e94b98bb52bac9349d4108a0bcc60d260e4d3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 18 08:57:17 2021 -0400

    copyright

commit 5bc7f1de7ecfcb6637876d0885c4f5de52077b9b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 10:51:26 2021 -0400

    bumped changelog version

commit b265a0b0ac8725dd70a85f511221017f46908671
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 10:51:25 2021 -0400

    readme

commit c586f49ab0805d4ce8a4bbbf55fd7acb33708eb0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 09:45:09 2021 -0400

    copyright

commit 599b3b018d4571bea061019087f90bfd96405005
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 26 09:46:00 2021 -0500

    bumped changelog version

commit 7f2237b78aa67e9d960cd790b3f980cf42e9634f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 26 09:45:59 2021 -0500

    readme

commit 5f10725d19c94f528673621d83536f469438cce1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 26 07:09:32 2021 -0500

    whonixcheck -> systemcheck migration

commit d0b02f9a2755d7a7e90801a349a096503e3367e3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 3 09:42:21 2020 -0400

    bumped changelog version

commit e244a794d0133c6cfb0411bc15ac0f85c5e5c9c6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 3 09:39:56 2020 -0400

    comments

commit 905465a4abb0e0305a5b6a502d0979613cc6cd61
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 3 09:36:32 2020 -0400

    update default bridges from https://gitweb.torproject.org/builders/tor-browser-build.git/tree/projects/tor-browser/Bundle-Data/PTConfigs/bridge_prefs.js

commit e0dc506d80186c9edb17329b8fa4870a55c94610
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 3 09:34:18 2020 -0400

    remove '-max 3' from showflake command
    
    because not used here anymore either /home/user/.tb/tor-browser/Browser/TorBrowser/Data/Tor/torrc-defaults

commit dc25fe7aefa93b55d3c798badf540b7f8797a7eb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 16 08:19:09 2020 -0400

    bumped changelog version

commit cba864d4e88d98c70d9819cecb7698fa6e9d4dbb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 15 14:05:26 2020 -0400

    readme

commit 7cc87a1446eda218a2abeff92ac685ac5bf5df16
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 07:24:55 2020 -0400

    bumped changelog version

commit 5c9710057189e0d34eff0b2edb1ec71e0f01bde2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 07:22:06 2020 -0400

    readme

commit d7d10da8e539a265d715db3dd76f6509a1450df5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 17:34:57 2020 -0400

    remove 'Build-Depends: ronn' since no longer required

commit 841f33e3afe76c62202d29bb8fc22c4f55189c8c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 16:57:25 2020 -0400

    remove genmkfile

commit d284981584ad3a72b487ce6294124c7a0f94c92e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 16:30:03 2020 -0400

    add debian install file

commit eca9e40b4f9efd39382f54a4d0d2ab23589d4bb7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 15:56:46 2020 -0400

    add man pages (generated using "genmkfile manpages")

commit 93984fff7057c51180904064307609b452c5653d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 15:48:03 2020 -0400

    no longer create man pages during build process
    use pre-created man pages

commit 23c5a7124af8610eab1f098040cef76204500034
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 15:47:10 2020 -0400

    no longer create man pages during build process
    use pre-created man pages

commit 2aaf6bb3ec6dd1f9c1c625612fff387742faf51f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 15:41:45 2020 -0400

    code documentation

commit 311ea636c49fee82c9d9d19f3563776eb12286d3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 10:15:38 2020 -0400

    bumped changelog version

commit c1fdc9384a841fd135e4cebc908053e777c0465a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 08:49:50 2020 -0400

    update copyright year

commit eaf5cc6b458c965c47dff604b672b4755ce27397
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Mar 22 08:57:32 2020 -0400

    bumped changelog version

commit 8f65c480f56bed424f2bb7e34979046ffa4ed050
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Mar 22 08:42:07 2020 -0400

    add new connection tags

commit c0c915e3b2c86a406b1fd28d4a5961305a5cdce8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Mar 22 08:39:46 2020 -0400

    add new connection tags

commit 18e9360693f221433f90f51614a35f949af7ce64
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Mar 21 14:54:31 2020 -0400

    bumped changelog version

commit d4016b5cc4256a787f305f7bb562fac33735f65c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Mar 21 12:25:11 2020 -0400

    typo

commit 2ff7733db17689234300235e4bfc3ee4f137d427
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Mar 21 12:09:54 2020 -0400

    typo

commit a249136efa928f5a052311044d5612639f4233cc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Mar 21 12:07:25 2020 -0400

    typo

commit b1df3cc8a310a93565060079430e97d8a67a202c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Mar 21 12:00:33 2020 -0400

    typo

commit 34b2d014ef705da5d878aeafc88430dda74a9d37
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Mar 21 11:56:26 2020 -0400

    typo

commit 174162b494843a697cecd3faec24a43bbe29d2cc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Mar 21 11:55:00 2020 -0400

    output

commit aa783dd2d6be08912b899144589d18bda74988d7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Mar 21 11:54:20 2020 -0400

    add new connection tags

commit ae730db23057a8a2bd8588e78f8a88fca61b1d84
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 5 08:33:07 2020 -0500

    bumped changelog version

commit 18493726d7bf668fbfad909c483040a9cdd5c14a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 5 08:18:56 2020 -0500

    point out apparmor vs non-Whonix issues with /etc/torrc.d in comment

commit c9c6154890a740b6780658e364fc0fa2b783fde4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 5 08:14:56 2020 -0500

    use /usr/lib/anon-gw-anonymizer-config/tor-config-sane instead to repair Tor config
    
    instead of replicating that logic here
    
    implemented for Whonix only
    
    not implemented for non-Whonix
    
    https://forums.whonix.org/t/configuring-onion-service/9042/36

commit a7618850aaee93f55e9743bfe6772d9f78dcd6e4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 5 07:23:30 2020 -0500

    refactoring

commit 2e19758372b01a0f6cc24970670f23879cf08919
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 5 07:22:06 2020 -0500

    towards fixing parsing torrc.d twice bug
    
    https://forums.whonix.org/t/configuring-onion-service/9042/29

commit e8266a8d9f676efae4626489216eb968be0fb5f2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 5 07:11:42 2020 -0500

    typo

commit 59783c8e8e99c7d5fb582a25df3c7c5cb7fef00b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 5 07:06:00 2020 -0500

    typo

commit 5381f910ad2a669cae65e984c2f7eb05d1267dfd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 14 10:12:09 2019 +0000

    bumped changelog version

commit d8a1f718f34821f33d08f2502cb1c1e9ca7ecc56
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Oct 8 07:21:40 2019 -0400

    description

commit eaf50215b767025829cfc6a5e9d77977cfb8f277
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 5 09:39:11 2019 +0000

    bumped changelog version

commit f278f1a2b5d47ff3092aa31b8bfe0f7d482aead5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Oct 1 02:43:04 2019 -0400

    add tag 'conn': 'Connecting to a relay',

commit 4287fc014f5111baf1308712a894d67882047c9c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Sep 23 08:38:41 2019 +0000

    bumped changelog version

commit df44ed86d3346b3b2db7df68cc96a74bcba1266f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Sep 21 07:21:28 2019 +0000

    remove obfs3 since also removed from Tor Browser's tor-launcher

commit acefa06c4c379dd7b6921243c6b57cefc45244bc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 28 11:36:36 2019 +0000

    bumped changelog version

commit f92669b0b7025d31c094108683c1eaaabe283203
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 28 11:34:43 2019 +0000

    use properly override_dh_installman

commit dd19954182ad08554cf7218e3f1b6e81bec1a971
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Aug 10 06:35:20 2019 +0000

    bumped changelog version

commit 0d90c8082be14d22865f0c22fe7357e4b932337a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Aug 10 02:27:44 2019 -0400

    lxsu -> lxsudo

commit 8c53bf754517b2a88e8bdf540d8273fb752b8f4e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 1 11:16:00 2019 +0000

    bumped changelog version

commit 9121b3dca6e5ebaf3e5de797a472a85be4d1cc41
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 1 11:13:29 2019 +0000

    readme

commit 1f3177aab0f89e9179cb31a2e7dff65f401800ac
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 31 07:35:00 2019 +0000

    bumped changelog version

commit 6003fb53a9649126f73779452e9b3fa6d7059ff7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 31 03:04:04 2019 -0400

    /var/run -> /run

commit 7b0b3a1e4cf1a657ce9b0c38b347e85f15871394
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 28 19:32:46 2019 +0000

    bumped changelog version

commit 34948598e8f9af45a5ed766790c991fd8f551dfc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 28 19:30:55 2019 +0000

    deprecate debian/gain-root-command

commit 008f9e4ae14ce0728fc7dc3f4bfc7bb19c0a299b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 15 19:49:03 2019 +0000

    bumped changelog version

commit dfefb4c3dd376ec62daac60e3b639e0c5b2e6266
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 15 12:10:50 2019 -0400

    typo

commit 4a99f20522287497e51236c3f78f44df6a75e7e0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 30 08:18:06 2019 +0000

    bumped changelog version

commit 8adf7319b50c9153174dade81b82555f79a06e9d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 29 13:45:39 2019 +0000

    man page

commit 20ac820621ae1a62b38c055e6c40c47ca2cecead
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 27 12:15:53 2019 +0000

    bumped changelog version

commit d2a66ba67523d4aa8fbb4fca7f28771d1129a69b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 27 12:12:44 2019 +0000

    fix geometry truncating
    Which of the following best describes your situatio
    ->
    Which of the following best describes your situation?
    
    https://phabricator.whonix.org/T923
    
    Thanks to @marmarek for the bug report!

commit b3b672b12d2db7d06f8bf423046598000e9adfca
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 27 12:08:11 2019 +0000

    fix geometry truncating
    Disable To
    ->
    Disable Tor
    
    https://phabricator.whonix.org/T923
    
    Thanks to @marmarek for the bug report!

commit 7efa7cfb03af3273072fc98a4501fa794aff4c2a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 23 19:52:32 2019 +0000

    bumped changelog version

commit 00b0be9206c574963d0ded89abb0d45ca0475a6a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 23 17:32:08 2019 +0000

    license

commit 5f48c57c08cf0c075f5e8ca865fe1cf0ddf1362f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 23 17:27:55 2019 +0000

    cleanup

commit b45790601bcede265ffc028ad65a04bdd38ea424
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 8 10:05:59 2019 +0000

    bumped changelog version

commit 7bdad05bb3a7d78a56746f0748f5c983bf18137a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 8 00:05:27 2019 -0400

    fix debian/watch lintian warning debian-watch-contains-dh_make-template

commit 3d6764a310c5476f821576571c1f10f58ed99d47
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 24 20:04:08 2019 +0000

    bumped changelog version

commit aab32c698eae6c95633a7bf1bfc1e777588c65e9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 24 12:28:52 2019 -0400

    readme

commit bd7b0473e5c3286ca5f97c30ce948125dbaa77a2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 3 11:08:32 2019 +0000

    bumped changelog version

commit 7af4801882fdcc538f7ae64338cf3f9f6325a9d2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 3 10:56:49 2019 +0000

    update

commit bae9f4c315d355eebfdd8c55f2ee39fba3a27348
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 8 13:01:18 2019 +0000

    bumped changelog version

commit 9952f083f090b39e008968af0b0a529cd22f4f6b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 8 12:51:54 2019 +0000

    sudo

commit 78d20e715262e74fce37dd36105820857fb35f24
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 8 06:28:49 2019 -0400

    output

commit a853d9d2cee86340554aa41cb5a8dbfa2b9c86e8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 6 11:48:04 2019 +0000

    bumped changelog version

commit 9ac07bda6413911108545fe48ad4bc6eae3a41c3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 6 11:26:42 2019 +0000

    sudo

commit b41a467e34dc185ca3c349d0256aa8c055b7d4d4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 6 10:23:02 2019 +0000

    sudo

commit 45b8cfb4ed1e18b78798ab18eecd3b26651263d9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 5 17:00:51 2019 -0400

    gksudo

commit 988ba56ec5f51e11b60ec554b83141bdff420911
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 4 05:50:30 2019 -0400

    port to debian buster

commit 074ba76e3c03ea4d21b65ad38374c2afc8abc624
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 3 18:04:45 2019 -0400

    readme

commit 09ab8ff28cce659d8504b9e82b5b0b91302cc690
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 29 09:37:52 2019 +0000

    bumped changelog version

commit 0bfed50f1bfb7f4511ab12a96c186cff88d75089
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 29 09:02:43 2019 +0000

    https://www.whonix.org/wiki/Dev/Licensing

commit 24d15c6a264fa5202ae232afc89c100bcfc15c0f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 12 11:11:13 2019 +0000

    bumped changelog version

commit e9e47971d3c55d359617490f02195b9dc6cc5798
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 1 14:31:47 2019 +0000

    add improved legal protections clauses
    
    The license for software created by Whonix is the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version with additional terms applicable per GNU GPL version 3 section 7.
    
    The additional terms are based on the Doom 3 license which is Debian refers to as `GPL-3+-with-id-software-additional-terms`, which is Debian DFSG [1] (The Debian Free Software Guidelines) approved and which is therefore suitable for Debian `main`. Whonix made applied minimal changes to it:
    
    * Rewrite `The Doom 3 BFG Edition GPL Source Code` to the more common `this program` which is used throughout the GPL.
    * Added a "trump clause" [2], in other words, any conflicts or disputes between the additional terms and the GPLv3 shall be resolved in favor of the GPLv3 by adding `Notwithstanding any other provision of this License` (as mentioned in GPL FAQ [3]) at the beginning of the additional terms.
    
    [1] https://www.debian.org/social_contract#guidelines
    [2] https://www.fsf.org/news/canonical-updated-licensing-terms
    [3] https://www.gnu.org/licenses/gpl-faq.html#v3Notwithstanding
    
    For more considerations, see also:
    https://www.whonix.org/wiki/Dev/Licensing

commit a2a524fd23e95907e6ba64a2c6ca6f3bb6269148
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 1 09:01:01 2019 +0000

    copyright

commit 5aceba7adec8e72c30eed1c2f6c1b672e6ceaa78
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Dec 17 09:17:01 2018 +0000

    bumped changelog version

commit 3cb865c7c934bddf7fa9a193c02c8e2054a97e21
Merge: f94e49f 06d07a8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 15 08:09:36 2018 +0000

    Merge remote-tracking branch 'origin/master'

commit 06d07a8d48e29d1831947775954cc08a36d1a713
Merge: f94e49f cfeeba3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 15 03:05:15 2018 -0500

    Merge pull request #22 from irykoon/master
    
     Support new Pluggable Transport Snowflake

commit cfeeba3a3e400d9938a45bdab1406a16d6b4cdcd
Author: irykoon <irykoon@gmail.com>
Date:   Sat Dec 15 07:23:27 2018 +0000

    Auto-remove prepending 'bridge' string
    
    Explained here: https://forums.whonix.org/t/cannot-connect-using-bridges/4512/10

commit 6f2ce2f267815e7e144ae25960757b3faed1be51
Author: irykoon <irykoon@gmail.com>
Date:   Sat Dec 15 06:32:49 2018 +0000

    Hide snowfalke optoin from user
    
    http://forums.whonix.org/t/tor-controller-gui-tor-control-panel-testers-wanted/5444/75

commit f94e49fe0c21b0d0fe35de8928417533261b5d53
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 27 15:44:14 2018 +0000

    bumped changelog version

commit 9b89236850deb158080f14f8b57281cdebffb096
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 21 05:17:48 2018 +0800

    readme

commit 67ef7f5ba27dbdcd426f1d4952c6e4325d568754
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 9 15:50:55 2018 +0000

    bumped changelog version

commit 9b56e7c89b72351d75b326e70a60705dd233a8f4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 7 12:00:16 2018 +0000

    code simplification

commit f83bcf0d3f892b66dc93beb93e6d4ca5195135b8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 7 19:10:25 2018 +0800

    40_anon_connection_wizard.conf -> 40_tor_control_panel.conf

commit f00ee829267f66ceedc689304a9ad74a3066eab4
Author: irykoon <irykoon@gmail.com>
Date:   Fri Jun 15 11:53:17 2018 +0000

    TODO: support different types of bridges simultaneously

commit 7558816a3d262238e18526cc6fd28976350c750f
Author: irykoon <irykoon@gmail.com>
Date:   Fri Jun 15 11:52:37 2018 +0000

    Simplify parseTorrc()

commit addfd1558bfd07e587f1aca1f128b03c78a1784e
Author: irykoon <irykoon@gmail.com>
Date:   Fri Jun 15 10:28:47 2018 +0000

    Support new Pluggable Transport Snowflake
    
    Related forum discussion: http://forums.whonix.org/t/replacing-meek-snowflake/5190

commit d8db2b3b4d33c6d2a2892793be3aa7e1cf0831a8
Author: irykoon <irykoon@gmail.com>
Date:   Fri Jun 15 09:45:59 2018 +0000

    Remove scramblesuit which is deprecated

commit a0f1491ca68a0891f4505888db8cf19fc0ae85c4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 13 07:07:56 2018 +0000

    bumped changelog version

commit 29bd5da2e8bbbcf3f0fdd72738f101dc1c521bb3
Merge: a48671e b6fa7e5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 12 13:58:44 2018 +0200

    Merge remote-tracking branch 'origin/master'

commit b6fa7e5713734224a955df4da22ba80cae24a655
Merge: a48671e 7fafb3d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 12 13:56:19 2018 +0200

    Merge pull request #21 from irykoon/master
    
    Remove meek-amazon bridge

commit 7fafb3d644e9558656466e5a4415ab419d828204
Author: irykoon <irykoon@gmail.com>
Date:   Mon Jun 11 09:14:40 2018 +0000

    Remove meek-amazon bridge
    
    meek-amazon has been removed from TBB 7.5.5 since amazon stopped
    supporting domain fronting.
    
    Related ticket: https://trac.torproject.org/projects/tor/ticket/26098
    Related Tor blog: https://blog.torproject.org/domain-fronting-critical-open-web

commit 76f3f6fd42112cabc66b5bf1ccef8414abbe5f77
Merge: a577560 a48671e
Author: irykoon <irykoon@gmail.com>
Date:   Mon Jun 11 09:06:44 2018 +0000

    Merge branch 'master' of github.com:Whonix/anon-connection-wizard

commit a48671e4e18870cecba70eb4e04766dd175d4ec8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 2 12:49:53 2018 +0000

    bumped changelog version

commit a577560019be8167f1640ee26318c46a266a93a5
Author: irykoon <irykoon@gmail.com>
Date:   Mon Apr 2 00:22:30 2018 +0000

    Document known issue that missing 50_user.conf causes Tor failing to start
    
    Before torrc.d get used, both 40_anon_connection_wizard.conf and 50_user.conf are explicitly used in 95_whonix.conf. Therefore, when 50_user.conf is missing, Tor will fail to start.
    
    This probelm can be solved by rebooting or doing systemctl restart anon-gw-anonymizer-config.service , which runs ExecStart=/usr/lib/anon-gw-anonymizer-config/make-sure-torrc-exist

commit f69d909f518d42e1da8c415febf944cda9064254
Author: irykoon <irykoon@gmail.com>
Date:   Sun Apr 1 02:33:17 2018 +0000

    Initialize dev_script

commit dfc3e23ede4f6c42d2c90b0f6bac657d1ba98c3a
Author: irykoon <iry@riseup.net>
Date:   Sun Apr 1 02:22:40 2018 +0000

    Oninoshare -> anon-connection-wizard
    
    The entire idea of BUILD.md is stolen from micahflee's onionshare:
    https://github.com/micahflee/onionshare

commit df97d1feadef37f79a87b7938bed2c60bb25753b
Author: irykoon <iry@riseup.net>
Date:   Sun Apr 1 02:09:50 2018 +0000

    Add BUILD.md with dependency installation instruction

commit c742d1dbb23971123ef3f1abeba8ed9ab7a5186c
Author: irykoon <irykoon@gmail.com>
Date:   Sat Mar 31 22:11:27 2018 +0000

    Update the dependencies
    
    The dependencies of Anon Connection Wizard should be generic enough for Debian and also Debian derivatives now.

commit bc7be12f12db749f9170faa27fb86280b0e0b778
Merge: 43254f1 cb7d60d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 30 08:37:47 2018 +0200

    Merge remote-tracking branch 'irykoon/master'

commit cb7d60d7c3ec8a63527816f088810061b9d9d6b3
Author: irykoon <irykoon@gmail.com>
Date:   Wed Mar 28 16:14:47 2018 +0000

    Add specifications for the functions
    
    Since set_enabled() and set_disabled() have been used by multiple packages in Whonix. It is important to set a clear specification for them.

commit 7c22126dc74010809dd7a1c98f9e3dc102797c37
Author: irykoon <irykoon@gmail.com>
Date:   Sun Mar 18 23:13:11 2018 +0000

    Initialize tor_disable flag as True

commit af5f3b8da52968942935ab02c41d0b41c81ebf8e
Author: irykoon <irykoon@gmail.com>
Date:   Fri Mar 2 16:18:36 2018 +0000

    Update comments

commit 380ef4b78533bf32a4533c83149926eea22d249f
Author: irykoon <irykoon@gmail.com>
Date:   Fri Mar 2 16:01:31 2018 +0000

    Update warning message

commit 43254f1d4214611ab1efc2cf3e990d69e285bdc8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 22 02:04:27 2018 +0000

    bumped changelog version

commit 289d01d3aea867037f8d26165536ac213997f2e5
Merge: fce694e c8e6b0b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 22 02:04:15 2018 +0000

    Merge remote-tracking branch 'irykoon/master'

commit c8e6b0ba2de28b2145ef9ed315aca5644cfe0a1d
Author: irykoon <irykoon@gmail.com>
Date:   Wed Feb 21 23:40:04 2018 +0000

    Add newline between configurations

commit 1410b6a05ec894a74ca206a751064ebe22c3ecaa
Author: irykoon <irykoon@gmail.com>
Date:   Wed Feb 21 23:30:29 2018 +0000

    Fix error

commit a35b6ae20caad69c5fd9507b2adb89a4cc29fdd3
Author: irykoon <irykoon@gmail.com>
Date:   Wed Feb 21 23:18:49 2018 +0000

    /etc/torrc.d -> /etc/torrc.d/95_whonix.conf
    
    We should avoid any `%include directory` for now before this feature is available in Tor stable: https://trac.torproject.org/projects/tor/ticket/25140#ticket

commit e19ee206caafef6957d075189961fbf3d09e3a8e
Author: irykoon <irykoon@gmail.com>
Date:   Mon Feb 19 07:25:03 2018 +0000

    Switch from obfsproxy to obfs4proxy

commit 790e8a4cd9c19cf27914803ac15eeb76cab52bb1
Author: irykoon <irykoon@gmail.com>
Date:   Mon Feb 19 07:23:56 2018 +0000

    Fix typo

commit 9141da5d161a96985b640e2f3968ad669c7e07d1
Author: irykoon <irykoon@gmail.com>
Date:   Mon Feb 19 07:07:13 2018 +0000

    Do not provide bridges for scramblesuit
    
    TBB does not support scramblesuit: https://gitweb.torproject.org/builders/tor-browser-bundle.git/tree/Bundle-Data/PTConfigs/bridge_prefs.js?h=maint-7.0

commit fce694e4991eb4be83618b19fd84f83d10e44351
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Feb 18 14:04:14 2018 +0000

    bumped changelog version

commit 8e5a6fa880508d781789235cc84c7024758424fa
Merge: d266091 9a41221
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Feb 11 21:09:20 2018 +0000

    Merge remote-tracking branch 'irykoon/master'

commit 9a41221d703ed91fdb8ab080f73dd187e535819d
Merge: 98ac249 d266091
Author: irykoon <irykoon@gmail.com>
Date:   Sun Feb 11 19:54:11 2018 +0000

    Merge branch 'master' of github.com:Whonix/anon-connection-wizard

commit 98ac249c7ab8c1c524b7cde2578356369f9d9a1a
Author: irykoon <irykoon@gmail.com>
Date:   Sun Feb 11 19:44:46 2018 +0000

    Switch from distutils.spawn.find_executable to shutil.which

commit d266091c2b46a481bd070a055b91854612e923cc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 10 13:50:21 2018 +0000

    bumped changelog version

commit e46854ad58d1af872b437b76d5f607ad4d07b512
Merge: f27e3c5 7b2905f
Author: irykoon <irykoon@gmail.com>
Date:   Fri Feb 9 16:54:39 2018 +0000

    Merge branch 'master' of github.com:Whonix/anon-connection-wizard

commit 7b2905f5c81326decc80e639a8fe74eb03fb0712
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 9 13:18:02 2018 +0100

    fix, drop unnedded 'setup' argument
    
    can cause issues with sudoers

commit f27e3c5f33773df7f2ba4f7d79bfdb8c905e2d02
Author: irykoon <irykoon@gmail.com>
Date:   Tue Feb 6 16:08:35 2018 +0000

    Simplify logic

commit 8645b9b79ae3257b75a73f2c04c0b27a334758e9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 5 21:53:24 2018 +0000

    bumped changelog version

commit 5a3db12a3555a4bc7e93ae87a399b88d6398544f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 5 21:27:13 2018 +0000

    .torrc -> .conf

commit 1e1f3e861a7e744e80a583cdf2736d2a4a794050
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 2 18:28:19 2018 +0000

    bumped changelog version

commit 80ce4bd11e6a966d6d9d752f77ec2fea99f31304
Merge: e332339 1adb978
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 2 19:22:23 2018 +0100

    Merge remote-tracking branch 'irykoon/master'

commit 1adb978abc0a57461aca9ecd85bd1ced4055238f
Author: irykoon <irykoon@gmail.com>
Date:   Fri Feb 2 18:16:30 2018 +0000

    Add log to stdout for toggling the DisableNetwork to 0

commit e332339429d343b38078fe6d13bc638e64b76174
Merge: dc1ea5d 115020d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 2 18:45:56 2018 +0100

    Merge remote-tracking branch 'irykoon/master'

commit 115020d61d65e75a3419cad576ba223b0214d5f9
Author: irykoon <irykoon@gmail.com>
Date:   Fri Feb 2 17:16:02 2018 +0000

    Use static message to cover unkown bootstrap TAG=
    
    This design will avoid potential misleading/harmful info shown. It will also print debugging info to stdout.

commit dc1ea5db2682207182686e2465181c6f011c6187
Merge: 5edca18 717f313
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 2 14:18:26 2018 +0100

    Merge remote-tracking branch 'irykoon/master'

commit 717f313ccb22246eb5d0d49cde09f1c51a77576b
Author: irykoon <irykoon@gmail.com>
Date:   Fri Feb 2 00:34:53 2018 +0000

    Fix Tor control socket does not show up problem
    
    When DisableNetwork set to 1, doing systmctl restart tor@defautl.service is not will not be enough to open /vat/run/tor/control.
    
    To workaround this, we have to do systemctl reload tor@default.service.

commit ca507719c1ba551f86c74b1d47fc90fb958501d9
Merge: 8c10c8b 5edca18
Author: irykoon <irykoon@gmail.com>
Date:   Thu Feb 1 17:41:19 2018 +0000

    Merge remote-tracking branch 'origin/master'

commit 8c10c8b2c24ae4954c94ff6c4da0d69b2ae4578a
Author: irykoon <irykoon@gmail.com>
Date:   Thu Feb 1 17:14:05 2018 +0000

    Map TAG= to bootstrap phase info
    
    This implementation will mitigate the vuneralbility described in: http://forums.dds6qkxpwdeubwucdiaord2xgbbeyds25rbsgr73tbfpqpt4a6vjwsyd.onion/t/graphical-gui-whonix-setup-wizard-anon-connection-wizard-technical-discussion/650/540
    
    It also prepares the bootstrap phase info for being translated.
    
    The Tor-launcher implementation of this can be found here: https://gitweb.torproject.org/tor-launcher.git/plain/README-BOOTSTRAP

commit 5edca188452a275aaab5a799c5d7e24566a9706d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 1 14:39:03 2018 +0000

    bumped changelog version

commit a5b9924e734658b512edbf2de8995bb9b41669cd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:50:07 2018 +0000

    readme

commit 6454c547b2855c215aed5ab9b78d532db9e00bb4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:38:39 2018 +0000

    update copyright

commit a75d78d401b818f914c9d97eae1277726fab72e9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:21:45 2018 +0000

    update copyright

commit 68d04c3b69d533db0598b697bc64eded915a6ef0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:14:57 2018 +0000

    update copyright

commit 1f756e8719da1e5fcf720e2852ae308e3c552ae5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:09:22 2018 +0000

    update copyright

commit 2e295d47cd6c9b716071f510a95b8de82ec41714
Merge: bed4793 5ef9fbc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 24 21:29:38 2018 +0100

    Merge remote-tracking branch 'irykoon/master'

commit 5ef9fbc5c1aa76fbd06f80c2c0dd7806da4ce257
Author: irykoon <irykoon@gmail.com>
Date:   Sun Jan 21 20:36:40 2018 +0000

    Remove redundant newline
    
    Reference f was also closed in previous case, causing a IO error.

commit b620ddffb3d1a166150236db7e0dbdf6eb8d0fa3
Merge: e1fc749 bed4793
Author: irykoon <irykoon@gmail.com>
Date:   Sun Jan 21 18:05:16 2018 +0000

    Merge remote-tracking branch 'origin/master'

commit bed479391e8d72aefbf7c736dd99e8f890dcfd10
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 21 13:32:50 2018 +0000

    bumped changelog version

commit b1b5c5052d8a915fd7f37027f8b9b92fffb4b393
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 21 13:52:34 2018 +0100

    add new lines at the end

commit acf2c23777e2f4788ac27da93417ac60361446f5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 20 18:23:57 2018 +0000

    bumped changelog version

commit e1fc74967b6fa9d88e7a393170c0e21a2506e402
Merge: 5d7bb7b c163f8e
Author: irykoon <irykoon@gmail.com>
Date:   Fri Jan 19 22:31:24 2018 +0000

    Merge remote-tracking branch 'origin/master'

commit 5d7bb7b2bea2cb215e64cf5f685e37677e6a72ea
Author: irykoon <irykoon@gmail.com>
Date:   Fri Jan 19 20:38:57 2018 +0000

    Better interaction with Tor controller
    
    1. Use control_socket and control_cookie consistent with Whonix
    2. Renew misleading error message

commit c163f8e05a64e1cdf0bc4545ded224a808897ac4
Merge: d37f745 df97cdd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 19 17:02:02 2018 +0100

    Merge remote-tracking branch 'irykoon/master'

commit df97cdd6c2c7f0f76d8065bd20a4d6ebf2e05443
Author: irykoon <irykoon@gmail.com>
Date:   Fri Jan 19 00:11:10 2018 +0000

    Better error message for users

commit ab3db2556b2d79a065bab97d6c827d81dbeea557
Merge: 27af872 d37f745
Author: irykoon <irykoon@gmail.com>
Date:   Thu Jan 18 23:59:57 2018 +0000

    Merge remote-tracking branch 'origin/master'

commit 27af8722a18fbf23a06c22821ed052fcbc428b18
Author: irykoon <irykoon@gmail.com>
Date:   Thu Jan 18 23:50:19 2018 +0000

    Great improvement on Tor bootstrap
    
    1. Pop up message when /run/tor/control is not found
    2. Pop up message when Tor controller cookie is not found
    3. Optimize Tor Bootstrap Status
    4. Now user will feel smooth switching to Tor Bootstrap Page

commit b33a8620d7298ee6e8b5406aacbea7c4dc062144
Author: irykoon <irykoon@gmail.com>
Date:   Thu Jan 18 19:02:31 2018 +0000

    Disable Tor when user cancel Tor bootstrap
    
    When user cancel Tor bootstrap, it is reasonable to assume user wants to disable Tor. For example, when users misconfigure the Tor, Tor bootstrap may stuck at a point. After user hit the cancel button, we should not let Tor keep trying to connect to the Tor network with the misconfigured settings.

commit 664d921be945ad5499850ed3aa8482e9b1c30301
Author: irykoon <irykoon@gmail.com>
Date:   Thu Jan 18 18:45:07 2018 +0000

    Update comments

commit 19f8a89a07b05bb11407c196b0a50cda7084139f
Author: irykoon <irykoon@gmail.com>
Date:   Thu Jan 18 18:03:50 2018 +0000

    Move DisableNetwork line to 40_anon_connection_wizard.torrc
    
    Also fixed serveral logical bugs.

commit d37f745f9a3d2ef1f681986643f4a9d0c0b711d6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 18 17:29:10 2018 +0000

    bumped changelog version

commit 4d10fe96294a51952f9dbb33b14c7e016d6495f4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 18 14:06:43 2018 +0100

    remove trailing spaces

commit 91f56053fb2a6536f0c251adfdb92009f665f9aa
Merge: 6455b6c 53c01bb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 15 22:54:52 2018 +0000

    Merge remote-tracking branch 'irykoon/master'

commit 53c01bb4a8586cb086c789dd9cadee0d2b3be10d
Merge: c4aab34 6455b6c
Author: irykoon <irykoon@gmail.com>
Date:   Mon Jan 15 22:47:39 2018 +0000

    Merge remote-tracking branch 'upstream/master'

commit c4aab34efc920928bc5f913258063fd9fb5cbcb3
Author: irykoon <irykoon@gmail.com>
Date:   Mon Jan 15 22:45:13 2018 +0000

    Fix TypeError bug
    
    TypeError: Can't convert 'int' object to str implicitly
    
    Also add comments to clearly document what will be returned by set_enable()

commit 6455b6c95102d6326bfbce10417e992d15f318b4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 15 22:44:32 2018 +0000

    fix

commit cab283887af2f01dcd66d3e3b0c6df7bed5a7cc0
Merge: c677d1d 3e7c414
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 15 22:40:18 2018 +0000

    Merge remote-tracking branch 'irykoon/master'

commit 3e7c414e151e1cb612e86ef3bb4e418ca3449320
Merge: c633414 c677d1d
Author: irykoon <irykoon@gmail.com>
Date:   Mon Jan 15 22:30:37 2018 +0000

    Merge remote-tracking branch 'upstream/master'

commit c633414f705c4bc373316b7af05645af244376dd
Author: irykoon <irykoon@gmail.com>
Date:   Mon Jan 15 22:29:36 2018 +0000

    Fix bug which crash when meek-azure was selected

commit c677d1d063b23793da40d70791b174651d622ae6
Merge: 05a3f20 ed4e988
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 15 21:26:11 2018 +0000

    Merge remote-tracking branch 'irykoon/master'

commit 05a3f20f01a6bedb731375c1915cf304bc46cf79
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 15 21:18:17 2018 +0000

    remove no longer used connection_text

commit 02c9dee4c60f94ee1cc8abe3186c98b59216fc3e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 15 21:12:46 2018 +0000

    remove no longer used tooltips

commit ae6a05d27cbafd7026289a618ee8b4f7665f6d75
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 15 21:11:41 2018 +0000

    /etc/tor/torrc -> Tor config file

commit ed4e9889799962711bbb30b3bab74b98db2144f4
Author: irykoon <irykoon@gmail.com>
Date:   Mon Jan 15 20:52:46 2018 +0000

    tor_status.py can have Whonix specific behavious in Whonix

commit 0cf6d2f2a11c85c51dd2cfae37fe7276dad5b0dd
Author: irykoon <irykoon@gmail.com>
Date:   Mon Jan 15 20:48:53 2018 +0000

    anon_connection_wizard.py can have Whonix specific behavious in Whonix

commit 0ad7dbad74478451be60b096ba338ee0be89e222
Author: irykoon <irykoon@gmail.com>
Date:   Mon Jan 15 20:38:44 2018 +0000

    repair_torrc can have Whonix specific behavious in Whonix

commit 0f533f899e959e05f533878fb97b9fbade8b8aae
Author: irykoon <irykoon@gmail.com>
Date:   Mon Jan 15 20:30:05 2018 +0000

    Fix bug that cause disable Tor crash

commit 8a930cabcef8df14e2b4644fc5374a8aefc66724
Author: irykoon <irykoon@gmail.com>
Date:   Mon Jan 15 20:08:43 2018 +0000

    Better error information when Tor fails to start

commit b0862b2d1d0abfdd0f727afbb71b3c4ab5647343
Author: irykoon <irykoon@gmail.com>
Date:   Mon Jan 15 19:42:33 2018 +0000

    Update comments

commit bbfcb8feeacd8afa7d19c4b60edcffa2ba301fc6
Merge: 9f4ee4d b8a34c0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 15 19:53:56 2018 +0100

    Merge remote-tracking branch 'irykoon/master'

commit 234cd49fb1d257aeaa9a1a34fd7143fdb667c1d0
Author: irykoon <irykoon@gmail.com>
Date:   Mon Jan 15 18:20:46 2018 +0000

    Move DisableNetwork line to 50_user.torrc
    
    Also fixed a logical flaw.

commit b8a34c0c1c184a7005ebadc921d9404621d66877
Author: irykoon <irykoon@gmail.com>
Date:   Mon Jan 15 17:19:34 2018 +0000

    Make repair torrc not whonix-specific

commit fdbad46758fc596e45b022a25bb9cc5dccc945f6
Author: irykoon <irykoon@gmail.com>
Date:   Mon Jan 15 16:54:55 2018 +0000

    Remove function that repairs anondist
    
    anondist is anondist specific. anon-connection-wizard should not care about it.

commit fb58fda7296bc71765210d887d0ead7eff79c53f
Author: irykoon <irykoon@gmail.com>
Date:   Mon Jan 15 16:51:47 2018 +0000

    Remove repair_torrc_95_whonix()
    
    95_whonix.torrc is whonix specific, anon-connection-wizard should not care about it.

commit 9f4ee4d008906aa242dd9e585986b81d5668b90e
Merge: 15634ba e1ce668
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 14 21:07:34 2018 +0100

    Merge remote-tracking branch 'irykoon/master'

commit e1ce66849d9401315748114c10eb12ce7bc3bc49
Merge: f5daa05 15634ba
Author: irykoon <irykoon@gmail.com>
Date:   Sun Jan 14 01:29:34 2018 +0000

    Merge remote-tracking branch 'upstream/master'

commit f5daa05b81cd6fd750683305e9a67cc2ac75a935
Author: irykoon <irykoon@gmail.com>
Date:   Sun Jan 14 01:08:02 2018 +0000

    Create path /usr/local/etc/torrc.d when necessary in repair_torrc

commit df26e79df09e1d094990854caba2039232786069
Author: irykoon <irykoon@gmail.com>
Date:   Sun Jan 14 01:02:54 2018 +0000

    Distinguish bridge_type_with_comment from bridge_type

commit eb87e563f356cc6c4dce82803dff53767de0a843
Author: irykoon <irykoon@gmail.com>
Date:   Sat Jan 13 21:17:53 2018 +0000

    Fix repair_torrc.py incomplete logic

commit b28eda35c609b4f8945bca688c5cfcd6b6190501
Author: irykoon <irykoon@gmail.com>
Date:   Sat Jan 13 18:26:10 2018 +0000

    Minor

commit 655a35724350f8f53218e3ab1efa16726c45435f
Author: irykoon <irykoon@gmail.com>
Date:   Sat Jan 13 18:25:03 2018 +0000

    Always generate 40_anon_connection_wizard.torrc

commit 64589c61463e79681424b58ec1679927fbbc4d2d
Author: irykoon <irykoon@gmail.com>
Date:   Sat Jan 13 18:21:07 2018 +0000

    Simplify tor_status.py
    
    Since DisableNetwork 0 will always be along with the new generated anon_connection_wizard.torrc file. We can safely simplify tor_status.py

commit 1cc4f006981d965cc4849de20568bf98a9129eee
Author: irykoon <irykoon@gmail.com>
Date:   Sat Jan 13 16:33:04 2018 +0000

    Update comments

commit f296deddeed25be3cd6bf06b7ae866102b0a70e5
Author: irykoon <irykoon@gmail.com>
Date:   Sat Jan 13 16:27:23 2018 +0000

    Switch to /usr/local/etc/torrc.d/40_anon_connection_wizard.torrc

commit f12470e951bd5afd5eff70f83c482049da707ed0
Author: irykoon <irykoon@gmail.com>
Date:   Sat Jan 13 15:50:14 2018 +0000

    Add repair function for 95_whonix.torrc
    
    According to: https://github.com/Whonix/anon-gw-anonymizer-config/blob/master/etc/torrc.d/95_whonix.torrc

commit 0cb17652e078245fffa0f0d2cc1dac8c47f50a27
Author: irykoon <irykoon@gmail.com>
Date:   Sat Jan 13 15:44:24 2018 +0000

    Update repair_torrc.py
    
    According to: https://github.com/Whonix/anon-gw-anonymizer-config/blob/master/etc/tor/torrc.anondist

commit 15634baf57c79d9db08b670afeb21f677847d7a0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 12 20:07:14 2018 +0000

    bumped changelog version

commit c8da675a0c821deb9e76fb486c57923d8bfe8485
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 12 19:50:47 2018 +0000

    remove trailing spaces

commit 839228f481d99a971b269045a615a743da1be170
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 12 19:41:37 2018 +0000

    typo

commit 739bc694580fa3844a7a59450e71dc6e9bdd1af6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 12 19:41:08 2018 +0000

    minor

commit 0c3ebf1cd2944ad37b61769fa7d9c7ffff49f992
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 12 19:36:40 2018 +0000

    typos

commit 8f260b72c4cbcecb56fb4b348072bc53dda00fb2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 12 18:00:14 2018 +0000

    delete not required etc/sudoers.d/anon-connection-wizard

commit c2972c8e06bba46dabe81929fec52a681c49464d
Author: irykoon <irykoon@gmail.com>
Date:   Thu Jan 11 01:41:16 2018 +0000

    Fix obfs4 default bridges connectivity issue
    
    The Tor bootstrap will stuck at 20% when IPv6 bridges are included. Thus, remove IPv6 bridges for now.

commit 145a755a65927490da8acbd031b56588f75bcb74
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 29 14:53:16 2017 +0000

    bumped changelog version

commit 7781471215bd6fccb8e31e924a0f8f866e5324e8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 27 19:13:34 2017 +0000

    Whonix Setup -> anon-connection-wizard

commit 7231e22ce9a7ef619e39a414afdded223330ffa7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 27 19:08:59 2017 +0000

    whonixsetup -> anon-connection-wizard

commit c16554421082e0424699813838d90b96fb93c364
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 27 19:06:12 2017 +0000

    get independence from anon-icon-pack

commit 6e2904abdca0ac9d9e83579bc205ef29135683b7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 27 19:03:31 2017 +0000

    comment

commit 86883700835072cb3f9ac96728fa96d4aff8ddea
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 27 19:02:28 2017 +0000

    comment

commit 123210b8751f02ee2589b6e3888b3b1a30234e00
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 27 19:00:52 2017 +0000

    whonixsetup -> anon-connection-wizard

commit 9a911d1ef7fb346d12e9a4b1a82eeb6aae1b4fbf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 27 18:59:16 2017 +0000

    update translations_path to anon-connection-wizard

commit bb835f75d7733781fa3b1956e0335869749a9a20
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 27 18:57:55 2017 +0000

    remove whonix-setup-wizard specific parts

commit 408ea637cacab2b745d943e59b73315361d4804e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 27 18:55:13 2017 +0000

    import usr/share/anon-connection-wizard/translations.yaml
    
    from whonix-setup-wizard

commit 698936c4fd02183c948b91aec226b177c913b251
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 27 18:31:43 2017 +0000

    remove /var/cache/whonix-setup-wizard/status-files/whonix_connection.done since no longer required

commit 57beb53c22b675e637b33e8772f3eef3a105e5f0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 27 18:30:47 2017 +0000

    remove trailing spaces

commit 865aa00d2611b5fac3c09b75c32222f709b9d894
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 27 18:25:41 2017 +0000

    bumped changelog version

commit f928f0ecb082a1f590d13afdc80b539f9e039428
Merge: b00586c f14992e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 24 18:11:10 2017 +0100

    Merge remote-tracking branch 'irykoon/master'

commit f14992e2cd2cc2b4ba3b4284a76cc5cf4d5883b3
Merge: 813f3c8 b00586c
Author: irykoon <irykoon@gmail.com>
Date:   Sun Dec 24 15:29:12 2017 +0000

    Merge remote-tracking branch 'upstream/master'

commit 813f3c88e6045c1e9337bc31ab93f420234aedcd
Author: irykoon <irykoon@gmail.com>
Date:   Sun Dec 24 15:24:16 2017 +0000

    Handle unexpected exception from tor_status.py
    
    All the exceptions from tor_status.py should be handled by anon-connection-wizard. This added default case will help us realize a new exception from tor_status.py is not handled well by anno-connection-wizard and we may add another specified case.

commit 9c722b994cd53d20889d9f3dd95dbe04498985fa
Author: irykoon <irykoon@gmail.com>
Date:   Sun Dec 24 15:10:39 2017 +0000

    Handle the exceptions from tor_status.py better
    
    set_enabled() function in tor_status.py module will try to start the Tor.
    If an error occurs, tor_status.py will return a string indicating the problem, e.g "cannot_connect". Anon-Connection-Wizard will then provide different instructions on what can be done by the users.

commit b00586c7137d90237204a8632593e3a8f6730c43
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 21 20:28:18 2017 +0000

    bumped changelog version

commit d13be05aa4c85232155aeb4f5d1b061b9f28ee27
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 21 20:24:09 2017 +0000

    readme

commit 034ee472c421e1697a95c0e038f1f1b28dc200b7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 15 20:12:17 2017 +0000

    bumped changelog version

commit db8dccd526c6f436a35de5af83f13c8f8244cf7f
Merge: 6fa696e 3844f87
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 15 18:21:24 2017 +0000

    Merge remote-tracking branch 'origin/master'

commit 3844f87d34c9104a62c98f543fd6aad58dcfd236
Merge: 6fa696e 52e8eea
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 15 18:15:41 2017 +0000

    Merge pull request #10 from irykoon/master
    
    Recent Commits

commit 52e8eea00a648ce995013f9e944314a2f288b358
Author: irykoon <irykoon@gmail.com>
Date:   Sun Dec 3 07:43:05 2017 +0000

    Remove sys.exit(0)
    
    This is a work around to the bug that when anon-connection-wizard sys.exit(0) the other python application who calls a-c-w will also end.

commit 5406d2f76639c436cbeb81ddd760df1501d65ade
Author: irykoon <irykoon@gmail.com>
Date:   Tue Nov 21 00:24:48 2017 +0000

    Update descriptions in man and control

commit e58fce7c764c03dccaf85d93020e3937187964cc
Author: irykoon <irykoon@gmail.com>
Date:   Mon Nov 6 20:16:49 2017 +0000

    Suggest user configutation go to /etc/torrc.d/50_user.torrc

commit 64fc291298aeff8632c478133aea4d4398503ad0
Author: irykoon <irykoon@gmail.com>
Date:   Mon Nov 6 19:52:45 2017 +0000

    Rename /etc/torrc.d/anon-connection-wizard.torrc to /etc/torrc.d/40_anon-connection-wizard.torrc
    
    Details: https://forums.whonix.org/t/torrc-d-is-comming/4041/15

commit 0419795c4f305c0ce02014e74108255f755ad244
Author: irykoon <irykoon@gmail.com>
Date:   Mon Nov 6 03:56:22 2017 +0000

    Mark meek-azure as "works in China"

commit b52062581d92b96bf4bbd25e1ad407d1973c4189
Merge: 069449a 93e51e2
Author: irykoon <irykoon@gmail.com>
Date:   Sun Oct 29 04:16:18 2017 +0000

    Change the icon from whonix.ico to advancedsettings.ico

commit 069449a7d477aa64d8d6c2698bc651bb3d44c70b
Author: irykoon <irykoon@gmail.com>
Date:   Sun Oct 29 03:54:38 2017 +0000

    Add .gitignore file

commit 6fa696e5088fb71974341503a9a4680a341fad1a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 2 15:09:16 2017 +0200

    fix path

commit e802bdf7f1b23dff7b34673c112ce93939615697
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 2 15:08:47 2017 +0200

    fix

commit f2eaf884f797041652bb670a8aa6ad9c1a25fd07
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 2 15:06:55 2017 +0200

    bumped changelog version

commit 86627ad5349a5a09a40847091d896b1135509d5a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 2 15:06:08 2017 +0200

    fix lintian warnings

commit 8aa88d0108654d29056f96de3897473f434536c2
Merge: b05c743 521b161
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 2 14:58:29 2017 +0200

    Merge remote-tracking branch 'origin/master'

commit 521b1610a3972f9f661e62a562ef429c17bb673a
Merge: 600762a 4380e76
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 2 14:49:57 2017 +0200

    Merge pull request #9 from irykoon/master
    
    Try to solve trademark issue and support .desktop startup

commit 4380e765feb358be1fc5005bd430ac7118540c5b
Author: irykoon <irykoon@gmail.com>
Date:   Sun Oct 1 02:40:14 2017 +0000

    Make /usr/lib/anon-connection-wizard/anon-connection-wizard executable
    
    The .desktop file will not work without making this file executable.

commit 0d2b860357880dc8ace5eae60407a98c4c4aac82
Author: irykoon <irykoon@gmail.com>
Date:   Sun Oct 1 02:09:03 2017 +0000

    Fix problem caused by incorrect merge

commit 6bbed1d33419622c5e13c6e65744e1e80e1f218d
Merge: 28e88d6 600762a
Author: irykoon <irykoon@gmail.com>
Date:   Sun Oct 1 02:00:13 2017 +0000

    Support .desktop startup

commit 93e51e2a0f3e3a12e2e817e413e7d1c8edc987f2
Author: irykoon <irykoon@gmail.com>
Date:   Sun Oct 1 00:48:03 2017 +0000

    Change the icon from whonix.ico to advancedsettings.ico

commit 28e88d65468d61c5bc427499474390af3eabc023
Author: irykoon <irykoon@gmail.com>
Date:   Sun Sep 24 18:36:48 2017 +0000

    Update dependencies recommendation

commit 1ae36678b7a4f47e30608fddef3e7cfa31921a95
Author: irykoon <irykoon@gmail.com>
Date:   Sun Sep 24 17:29:27 2017 +0000

    Clarify trademark issue and update package description

commit a3e06ec919f2b46a49da4420b6a5296a34750145
Author: irykoon <irykoon@gmail.com>
Date:   Sun Sep 24 17:24:03 2017 +0000

    Update Copyright

commit 600762afe2673dc5ffa19a5d6b5e620b9e405095
Merge: 10869f3 afece78
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 24 14:26:31 2017 +0200

    Merge pull request #8 from irykoon/master
    
    Support meek_lite and custom bridge input validation check

commit afece783098ac72e36f6766d9caa995698b97941
Merge: d43bea5 10869f3
Author: irykoon <irykoon@gmail.com>
Date:   Sat Sep 23 06:31:27 2017 +0000

    Merge remote-tracking branch 'upstream/master'
    
    Conflicts:
            usr/lib/python3/dist-packages/anon_connection_wizard/anon_connection_wizard.py

commit d43bea546193609799de089dc6a927448b72cb6f
Author: irykoon <irykoon@gmail.com>
Date:   Sat Sep 23 06:12:05 2017 +0000

    Support custom bridges input validation check
    
    The implementation does not strictly match all the invalid input. However, hopefully, this is effective enough to prevent inexperienced user from configuring it with obvious mistake.

commit 1212ed256448dd87ff62fa1a75f16ccc95468059
Author: irykoon <irykoon@gmail.com>
Date:   Sat Sep 23 05:13:18 2017 +0000

    Support meek_lite in anon-connection-wizard
    
    meek_lite is a meek-like pluggable transport implemented in obfs4proxy. Although it does not normalize TLS signatures, it is still effective to circumvention the Tor censorship in heavily censored area, like China. This feature will greatly increase the accessibility to Tor network in China, along with the incresement of usability of Whonix.
    
    See here fore more details: https://forums.whonix.org/t/censorship-circumvention-tor-pluggable-transports/2601/3

commit 10869f3e930c5702bd5732b7cbd9eb1c030fff9d
Author: irykoon <iry@riseup.net>
Date:   Mon Aug 28 15:10:06 2017 +0000

    GSoC anon-connection-wizard project (#7)
    
    * add TODO: customized CSS
    
    * add a third party censorship circumvention options
    minor UI improvement
    minor instructions improvement
    
    * eliminate unnecessary code
    
    * add a help button on the proxy setting page
    
    * edit mark approach implemented
    
    * delete 'managed' option in obfs4 lines
    
    * minor edit mark fixed
    
    * delete outdated comments
    
    * implement the torrc_page
    
    * update assistance message
    
    * commented out an option for not using bridges
    
    * update URL for obtaining bridges
    
    * proxy password masked
    
    * update to use the one in whonix-setup-wizard
    
    * add a new file /etc/tor/anon-connection-wizard.torrc.orig
    
    * switch from edit-mark approach to torrc.d
    
    * polish the instruction in anon-connection-wizard.torrc.orig
    
    * .tmp will not overwrite .torrc if no changes were made before cancealing
    
    * remove "advance" button
    
    * change shebang in /usr/bin/anon-connection-wizard to python3 -u
    
    * switch from /python3.4/dist-packages to /python3/dist-packages
    
    * corrected
     install path
    
    * remove all .pyc files
    
    * switched from /usr/lib/python3.4 to /usr/lib/python3/dist-packages
    
    * adjust default settings according to .torrc at beginning
    
    * 1. switch from self-made .tmp file to python tmpfile
    2. polish the adjust according to .torrc feature
    
    * 1. fix the situiation where an extra empty line is input to custom bridge line
    2. strip the '\n' out of port number
    
    * fix the direct connection option
    
    * eliminate the .orig approach
    
    * better instructions in .torrc file and help button
    
    * remove .tmp when it is no longer needed
    
    * eliminate useless commented code
    
    * bug fixed: tmp file is missing
    
    * TODO: no control port in Whonix14
    In Whonix14, No longer open Tor ControlPort 9051 on Whonix-Gateway:
    https://github.com/Whonix/anon-gw-anonymizer-config/commit/49ce21f97965609e4fe06af20005637878324fcc
    
    work around:
    1. add tor control port back
    2. or support Tor cookie file authentication
    
    * no longer need anon-connection-wizard.torrc.orig
    
    * remove stem and guimessage
    stem and guimessage have been packaged and shipped with Whonix14 by defualt.
    Therefore, there is no need to include them here.
    
    * Use Tor ControlSocket and cookie file authentication
    1. Previously used Tor ControlPort is no loner open by defualt in Whonix14
    2. Therefore, we switched to use Tor ControlSocket
    3. Bug fixed: /run/tor/control is missing
    
    * tor_status can repair torrc
    1. can repair missing /etc/tor/torrc
    2. or missing "DisableNetwork 0" line
    
    * repair_torrc() can repair missing "%include /etc/torrc.d" line
    
    * _repair_torrc() function can repair the missing /etc/torrc.d directory
    
    * repair_torrc() will serve as a standalone module
    
    * minor fixes
    
    * Better UI and instructions
    
    - create a censorship circumvention help button with detailed instructions
    - adjust label positions
    - use general fonts
    
    * minor UI improvement
    
    * comment out the '-' option in proxy setting
    
    '-' option appears in Tor launcher. However, it seems to be useless to have an invalid proxy setting. Therefore, we set 'HTTP / HTTPS' as the default setting instead.
    
    * Check invalid input
    
    - Check if the custom bridge is blank
    - Check if the proxy IP or proxy Port is blank
    
    * improve UI
    
    * make font of tor status bigger
    
    * remove Tor ControlPort implementation
    
    Previously used Tor ControlPort is no loner open by defualt in Whonix14.
    Tor ControlSocket is used instead.
    
    * add instructions to proxy help button
    
    * Redesign the torrc page
    
    The redesign is based on Linda's Tor launcher UX research.
    Details can be found in the paper: https://petsymposium.org/2017/papers/issue3/paper2-2017-3-source.pdf
    
    * hide username and password input when SOCKS4 is selected
    
    Socks4 does not support authentication by username and password. Therefore, we should hide them to avoid the situiation where a user waste time in looking for them.
    
    * fix wrong hint in IP inputline
    
    * add a experimental "use proxy" checkBox
    
    * different bridge settings will not show at the same time
    
    Hide custom bridge settings when default bridges is being selected, vice versa.
    This will greatly improve the UX since unfamiliar user will not waste time congiuring all the unnecessary options
    
    * fix a logical flaw in working around "IP invalid" pop up
    
    * fix "bridge invalid" does not pop up
    
    * change variable name: to_proxy_page_2 -> from_proxy_page_1
    
    * fix bug that /etc/tor/torrc accumulates '\n'
    
    * polish the design of proxy_page_2
    
    * improve use_proxy button on proxy_page_2
    
    * merge the proxy_wizard_page_1 into proxy_wizard_page_2
    
    * fix bug that use_proxy is not checked according to Common.use_proxy
    
    * show or hide bridge defualt and custom according to Common.use_bridges
    
    * set fixed size window
    
    * redesign the bridge_page_2
    
    * further improve bridge_page_2
    
    * merge the bridge_wizard_page_1 into bridge_wizard_page_2
    
    * remove useless code
    
    * change the default summary info
    
    Since each summary info should be overwrited according to user's settings, if it remians unchanged, something may have gone wrong.
    
    * fix logic flaw in showing warning message
    
    * TODO: ues re to examine the validity of user input
    
    * make the consequences of clicking close button same with clicking the cancel button
    
    * enable close button
    
    In the past we disabled/hide the close button as a work around that forced user to use click button. Howerver, since now clicking cancel button and clicking close button share the same result, we can enable close button. This also gives user a feeling of control.
    
    * eliminate outdated code that may cause IO error
    
    * use "whonix-specific" as a mark
    
    This will benifit the future work that makes anon-connection-wizard independent from Whonix.
    
    * skip torrc_page when disable_tor option is selected
    
    * fix "Thread termination error"
    
    "Thread termination error: No such process" was camplained when back button was clicked after trying to start Tor.
    
    * explain more on the fucntion of repair_torrc module
    
    * recover Tor to the initial tor status when quiting or canceling
    
    At the start of anon-connection-wizard, the tor_status, which will be either 'tor_enabled' or 'tor_disabled', will be recorded in Common.init_tor_status. This enable us to recover Tor to its initial status when users quit or terminate the Tor connection status.
    
    * recover Tor to the initial tor status when canceling
    
    * warn unsupported bridge type in summary page
    
    * update the bridge help instruction
    
    The instructions in the latest Tor launcher has removed the third way to get bridges.
    
    * update unsupported bridge type warning in summary page
    
    * Update default bridges
    
    The default bridge used by anon-connection-wizard should be exactly the same bridges contained in bridge_prefs.js (https://gitweb.torproject.org/builders/tor-browser-bundle.git/tree/Bundle-Data/PTConfigs/bridge_prefs.js?h=7.5a3-linux) shipped with the latest stable TBB. This is because:
    1. the servers hosting default bridges are set up for huge amount of traffic;
    2. the servers hosting default bridges are probably audited by TPO for better security;
    3. using a different set of bridges will distinguish the anon-connection-wizard bridge users from the TBB bridge users, which compromises their anonymity.
    
    * Update custom bridge help instructions
    
    * Make bridge types case insensitive
    
    Bug details: http://phabricator.kkkkkkkkkk63ava6.onion/T699#14338
    
    * Update the initial comments for anon-connection-wizard.torrc
    
    * Add tor_controller.get_info() debugging code
    
    * Support input validation check
    
    Current implementation is not using regular expression, which means it is not the perfect validation check. However, this is good enough to prevent most common input mistakes.
    
    * Improve warning instructions on Proxy page
    
    * Update warning instrcuions on Proxy page
    
    * Support vanilla bridges when using custom bridges
    
    In order to make a vanilla bridge usable, we need to loose the validation check cateria. A regular expression should solve the problem nicely.
    
    * Update bridge command in anon-connection-wizard.torrc
    
    * Address a flexibility issue in the code
    
    * Change anon-connection-wizard.torrc access permission to 644
    
    The access permission was 600, causing a permission denied complain in whonix-check. 644 is same as the permission of the /etc/tor/torrc file shipped by Debian.
    
    * Change torrc bridge command from 'Bridge' to 'bridge'
    
    * Change torrc bridge command from 'Bridge' to 'bridge'
    
    * Update contact info in debian/control

commit a9c09062cd553720e673106e59ca7e187c90aa2e
Author: irykoon <irykoon@gmail.com>
Date:   Sat Aug 26 20:27:15 2017 +0000

    Update descriptions in debian/control

commit d468c23d2e905806f547ac7d61dc8e37bf3f2a39
Author: irykoon <irykoon@gmail.com>
Date:   Sat Aug 26 19:12:16 2017 +0000

    Update contact info in debian/control

commit 7decee5530b6a7a353a379b02c40ddf012086c39
Author: irykoon <irykoon@gmail.com>
Date:   Sat Aug 26 19:11:48 2017 +0000

    Change torrc bridge command from 'Bridge' to 'bridge'

commit 25f5f98e495f86eb84e665910da0904dbd7d8252
Author: irykoon <irykoon@gmail.com>
Date:   Sat Aug 26 18:49:42 2017 +0000

    Change torrc bridge command from 'Bridge' to 'bridge'

commit eeaddcc0ee9bfb0e81dd5d9b0411c50d8e0c26ad
Author: irykoon <irykoon@gmail.com>
Date:   Sat Aug 26 18:40:00 2017 +0000

    Change anon-connection-wizard.torrc access permission to 644
    
    The access permission was 600, causing a permission denied complain in whonix-check. 644 is same as the permission of the /etc/tor/torrc file shipped by Debian.

commit cd72e5fd958ae02f96552d232b3d85f594952679
Author: irykoon <irykoon@gmail.com>
Date:   Sat Aug 26 04:58:21 2017 +0000

    Address a flexibility issue in the code

commit 479e3bb2b6c22fbc95eb0fbaafe33306d32d962a
Author: irykoon <irykoon@gmail.com>
Date:   Sat Aug 26 04:52:16 2017 +0000

    Update bridge command in anon-connection-wizard.torrc

commit 30ab31014563ba59eb606764ce564003c2890d33
Author: irykoon <irykoon@gmail.com>
Date:   Sat Aug 26 04:23:11 2017 +0000

    Support vanilla bridges when using custom bridges
    
    In order to make a vanilla bridge usable, we need to loose the validation check cateria. A regular expression should solve the problem nicely.

commit cfe33f1fd8d14162754171089f89e58947080dca
Author: irykoon <irykoon@gmail.com>
Date:   Sat Aug 26 04:07:12 2017 +0000

    Update warning instrcuions on Proxy page

commit 71ddb8ada303ce05267c63c1f203c8f9a24f711b
Author: irykoon <irykoon@gmail.com>
Date:   Sat Aug 26 03:59:42 2017 +0000

    Improve warning instructions on Proxy page

commit 458fc522ec9d615f0bd03207e84ab4a46d2273ec
Author: irykoon <irykoon@gmail.com>
Date:   Sat Aug 26 03:52:37 2017 +0000

    Support input validation check
    
    Current implementation is not using regular expression, which means it is not the perfect validation check. However, this is good enough to prevent most common input mistakes.

commit adc67c438217793b89af5642070865a113e266f2
Author: irykoon <irykoon@gmail.com>
Date:   Fri Aug 25 20:32:22 2017 +0000

    Add tor_controller.get_info() debugging code

commit b8fbf70ff89f39a3589eae7d45a910650fba4e3f
Author: irykoon <irykoon@gmail.com>
Date:   Thu Aug 17 18:25:01 2017 +0000

    Update the initial comments for anon-connection-wizard.torrc

commit d130e226e374c89ae094914dc4fbc0420df704fb
Author: irykoon <irykoon@gmail.com>
Date:   Thu Aug 17 17:56:32 2017 +0000

    Make bridge types case insensitive
    
    Bug details: http://phabricator.kkkkkkkkkk63ava6.onion/T699#14338

commit 4f6e2d3bfe98ca75b7071f1f9ba00b38d9327e52
Author: irykoon <irykoon@gmail.com>
Date:   Thu Aug 17 15:02:21 2017 +0000

    Update custom bridge help instructions

commit eb956632af9dea7b408139e4afb772492eda7408
Author: irykoon <irykoon@gmail.com>
Date:   Thu Aug 17 08:13:56 2017 +0000

    Update default bridges
    
    The default bridge used by anon-connection-wizard should be exactly the same bridges contained in bridge_prefs.js (https://gitweb.torproject.org/builders/tor-browser-bundle.git/tree/Bundle-Data/PTConfigs/bridge_prefs.js?h=7.5a3-linux) shipped with the latest stable TBB. This is because:
    1. the servers hosting default bridges are set up for huge amount of traffic;
    2. the servers hosting default bridges are probably audited by TPO for better security;
    3. using a different set of bridges will distinguish the anon-connection-wizard bridge users from the TBB bridge users, which compromises their anonymity.

commit c3859905ed9b311ec6bbb0fe72fd6543c2c16c8e
Author: irykoon <irykoon@gmail.com>
Date:   Thu Aug 10 15:45:50 2017 +0000

    update unsupported bridge type warning in summary page

commit 02954f85e98e35966ff95aeb2514b4b2e20b43e0
Author: irykoon <irykoon@gmail.com>
Date:   Thu Aug 10 15:42:24 2017 +0000

    update the bridge help instruction
    
    The instructions in the latest Tor launcher has removed the third way to get bridges.

commit 60a73a475ba3d5126208e720c2141fc03eb43e33
Author: irykoon <irykoon@gmail.com>
Date:   Thu Aug 10 15:36:07 2017 +0000

    warn unsupported bridge type in summary page

commit 9cfb69334d67fa9b5de1426f3661014ff4902b63
Author: irykoon <irykoon@gmail.com>
Date:   Wed Aug 9 15:06:11 2017 +0000

    recover Tor to the initial tor status when canceling

commit f78eece709d1fc9c335cb54560812532d9b9f4eb
Author: irykoon <irykoon@gmail.com>
Date:   Wed Aug 9 14:40:51 2017 +0000

    recover Tor to the initial tor status when quiting or canceling
    
    At the start of anon-connection-wizard, the tor_status, which will be either 'tor_enabled' or 'tor_disabled', will be recorded in Common.init_tor_status. This enable us to recover Tor to its initial status when users quit or terminate the Tor connection status.

commit 6fcb47230d751b3378a4dded8513c409447a78a8
Author: irykoon <irykoon@gmail.com>
Date:   Wed Aug 9 13:46:03 2017 +0000

    explain more on the fucntion of repair_torrc module

commit 8936a8e1587c03a7bd65d737a325c0b21ee78363
Author: irykoon <irykoon@gmail.com>
Date:   Wed Aug 9 13:22:25 2017 +0000

    fix "Thread termination error"
    
    "Thread termination error: No such process" was camplained when back button was clicked after trying to start Tor.

commit 4b46320c4c398df98e585171a52fbc87e273070a
Author: irykoon <irykoon@gmail.com>
Date:   Wed Aug 9 13:07:02 2017 +0000

    skip torrc_page when disable_tor option is selected

commit 64f8dce4876faaada98f929648069a552bb70129
Author: irykoon <irykoon@gmail.com>
Date:   Sat Aug 5 17:31:34 2017 +0000

    use "whonix-specific" as a mark
    
    This will benifit the future work that makes anon-connection-wizard independent from Whonix.

commit 440b8ea12b0d1315ed22f2bff2d37d3c2ece251e
Author: irykoon <irykoon@gmail.com>
Date:   Sat Aug 5 17:29:41 2017 +0000

    eliminate outdated code that may cause IO error

commit 7164141a0d1a05dda7e0bb4b10f5bc13537555fd
Author: irykoon <irykoon@gmail.com>
Date:   Sat Aug 5 17:24:41 2017 +0000

    enable close button
    
    In the past we disabled/hide the close button as a work around that forced user to use click button. Howerver, since now clicking cancel button and clicking close button share the same result, we can enable close button. This also gives user a feeling of control.

commit f24f08929789a59d1110aee01dca23ca0cadf6f2
Author: irykoon <irykoon@gmail.com>
Date:   Sat Aug 5 17:22:37 2017 +0000

    make the consequences of clicking close button same with clicking the cancel button

commit 7e0e5fa311b68c3e8bfc789a15b00deb5b44e339
Author: irykoon <irykoon@gmail.com>
Date:   Wed Aug 2 12:26:34 2017 +0000

    TODO: ues re to examine the validity of user input

commit 39029876b8b7800964203ec2acae49c883b739f2
Author: irykoon <irykoon@gmail.com>
Date:   Wed Aug 2 12:21:58 2017 +0000

    fix logic flaw in showing warning message

commit 314ff2e318c6944331d67ad1e9d793b6e5821ae6
Author: irykoon <irykoon@gmail.com>
Date:   Wed Aug 2 11:38:50 2017 +0000

    change the default summary info
    
    Since each summary info should be overwrited according to user's settings, if it remians unchanged, something may have gone wrong.

commit 6b32a97b5eac140db132d6d7c35ed2ecd1bfc187
Author: irykoon <irykoon@gmail.com>
Date:   Wed Aug 2 11:32:39 2017 +0000

    remove useless code

commit 7b80193ff9d2fa5dc3e1e180eda0248ff59664b4
Author: irykoon <irykoon@gmail.com>
Date:   Wed Aug 2 11:22:50 2017 +0000

    merge the bridge_wizard_page_1 into bridge_wizard_page_2

commit c62bffe4736bc2609b3db843197826b1206240d5
Author: irykoon <irykoon@gmail.com>
Date:   Wed Aug 2 11:15:47 2017 +0000

    further improve bridge_page_2

commit 5805d8531a09862eb73c2024a48e1363edb7296b
Author: irykoon <irykoon@gmail.com>
Date:   Wed Aug 2 10:52:10 2017 +0000

    redesign the bridge_page_2

commit c20282a6f5002bfeabccaab32925d366f19d2a66
Author: irykoon <irykoon@gmail.com>
Date:   Wed Aug 2 10:13:02 2017 +0000

    set fixed size window

commit 1d50e06019c2e81370357e84de1ef6b2cac5a149
Author: irykoon <irykoon@gmail.com>
Date:   Wed Aug 2 08:46:00 2017 +0000

    show or hide bridge defualt and custom according to Common.use_bridges

commit 25f6784d78ae037339a9ffc158fa657eba2940ea
Author: irykoon <irykoon@gmail.com>
Date:   Wed Aug 2 08:37:54 2017 +0000

    fix bug that use_proxy is not checked according to Common.use_proxy

commit ce9683107c05e6c7df2b7c4ffbb4a60f6930dbac
Author: irykoon <irykoon@gmail.com>
Date:   Wed Aug 2 08:30:48 2017 +0000

    merge the proxy_wizard_page_1 into proxy_wizard_page_2

commit 094acd3f5759bb26e55880be4004c2810eecde2a
Author: irykoon <irykoon@gmail.com>
Date:   Wed Aug 2 08:21:25 2017 +0000

    improve use_proxy button on proxy_page_2

commit 31bb592b24db872f8f383b432ae4890640e0fa4c
Author: irykoon <irykoon@gmail.com>
Date:   Wed Aug 2 07:34:11 2017 +0000

    polish the design of proxy_page_2

commit c2d265867b011292efa30cdb47ebebbf9f8f89ef
Author: irykoon <irykoon@gmail.com>
Date:   Wed Aug 2 06:31:29 2017 +0000

    fix bug that /etc/tor/torrc accumulates '\n'

commit 3295905f637d1715a46ab957f595ccbfbbf5d0cb
Author: irykoon <irykoon@gmail.com>
Date:   Tue Aug 1 19:59:23 2017 +0000

    change variable name: to_proxy_page_2 -> from_proxy_page_1

commit a8c4c40414bf49f54efa2c8d8eb6e25a6953a853
Author: irykoon <irykoon@gmail.com>
Date:   Tue Aug 1 19:56:20 2017 +0000

    fix "bridge invalid" does not pop up

commit bb5ee5961ae0a97b08b70932db0d8b2b91e2f40e
Author: irykoon <irykoon@gmail.com>
Date:   Tue Aug 1 19:28:58 2017 +0000

    fix a logical flaw in working around "IP invalid" pop up

commit a50dc1e47a6420670977dace7f29aaf9b8c03ca5
Author: irykoon <irykoon@gmail.com>
Date:   Tue Aug 1 19:15:26 2017 +0000

    different bridge settings will not show at the same time
    
    Hide custom bridge settings when default bridges is being selected, vice versa.
    This will greatly improve the UX since unfamiliar user will not waste time congiuring all the unnecessary options

commit f0be9c490f0e74fd47e812007ad73779a98a2909
Author: irykoon <irykoon@gmail.com>
Date:   Tue Aug 1 18:30:43 2017 +0000

    add a experimental "use proxy" checkBox

commit 3c073d1ba2b265c73895bce6908593348e2a7dd7
Author: irykoon <irykoon@gmail.com>
Date:   Tue Aug 1 17:28:06 2017 +0000

    fix wrong hint in IP inputline

commit 28e0cf1ede9f51b85518a6d442a053de40865f1a
Author: irykoon <irykoon@gmail.com>
Date:   Tue Aug 1 17:24:10 2017 +0000

    hide username and password input when SOCKS4 is selected
    
    Socks4 does not support authentication by username and password. Therefore, we should hide them to avoid the situiation where a user waste time in looking for them.

commit 8a069f8a897aef89c02c5c44fc26f0366010b757
Author: irykoon <irykoon@gmail.com>
Date:   Mon Jul 31 14:39:31 2017 +0000

    Redesign the torrc page
    
    The redesign is based on Linda's Tor launcher UX research.
    Details can be found in the paper: https://petsymposium.org/2017/papers/issue3/paper2-2017-3-source.pdf

commit d72eecca90f1fea15bb14cebaf802c8061908211
Author: irykoon <irykoon@gmail.com>
Date:   Sun Jul 30 18:36:08 2017 +0000

    add instructions to proxy help button

commit 647f868d42e1fc9cc51bc450e16a3d1ed3605de6
Author: irykoon <irykoon@gmail.com>
Date:   Sun Jul 30 17:51:41 2017 +0000

    remove Tor ControlPort implementation
    
    Previously used Tor ControlPort is no loner open by defualt in Whonix14.
    Tor ControlSocket is used instead.

commit f70b4a6e1f6c7b2d8fa3b000cbf0a2918c0aff53
Author: irykoon <irykoon@gmail.com>
Date:   Sun Jul 30 17:50:12 2017 +0000

    make font of tor status bigger

commit ea287a7969a4ce16232851502de70fb71bd234b5
Author: irykoon <irykoon@gmail.com>
Date:   Sun Jul 30 17:45:10 2017 +0000

    improve UI

commit ebd2094231a239c4eb799d18d5186af9706a34c9
Author: irykoon <irykoon@gmail.com>
Date:   Sun Jul 30 17:41:44 2017 +0000

    Check invalid input
    
    - Check if the custom bridge is blank
    - Check if the proxy IP or proxy Port is blank

commit b8f6375a5bb03f90b72af018dd5f5a9be3fffefe
Author: irykoon <irykoon@gmail.com>
Date:   Sat Jul 29 18:43:00 2017 +0000

    comment out the '-' option in proxy setting
    
    '-' option appears in Tor launcher. However, it seems to be useless to have an invalid proxy setting. Therefore, we set 'HTTP / HTTPS' as the default setting instead.

commit 608c92edb458c3ab1e09401da7b1c72867d516b5
Author: irykoon <irykoon@gmail.com>
Date:   Sat Jul 29 18:34:13 2017 +0000

    minor UI improvement

commit a25f2f783304e33c4b8cb59c3af175af7757a552
Author: irykoon <irykoon@gmail.com>
Date:   Sat Jul 29 18:24:01 2017 +0000

    Better UI and instructions
    
    - create a censorship circumvention help button with detailed instructions
    - adjust label positions
    - use general fonts

commit b9802a6d8d01f9739c8b2aa8c2f5951d95dd777f
Author: irykoon <irykoon@gmail.com>
Date:   Fri Jul 14 09:44:29 2017 +0000

    minor fixes

commit 8e815c8b31d440b6aea9be6abc22f3db3e23e0f7
Author: irykoon <irykoon@gmail.com>
Date:   Fri Jul 14 09:29:57 2017 +0000

    repair_torrc() will serve as a standalone module

commit 6fda29c64a88b7fcea200b6da5d289d336da320f
Author: irykoon <irykoon@gmail.com>
Date:   Fri Jul 14 09:14:42 2017 +0000

    _repair_torrc() function can repair the missing /etc/torrc.d directory

commit dcb5aeab81883bc00ae3cc05bc7e6d3d4d2351d2
Author: irykoon <irykoon@gmail.com>
Date:   Fri Jul 14 09:04:51 2017 +0000

    repair_torrc() can repair missing "%include /etc/torrc.d" line

commit e6d16b2a813bdb5fbce52b17f79938e84f3e08ff
Author: irykoon <irykoon@gmail.com>
Date:   Fri Jul 14 06:09:45 2017 +0000

    tor_status can repair torrc
    1. can repair missing /etc/tor/torrc
    2. or missing "DisableNetwork 0" line

commit 1472d5c5e6e6211f3f3919fbe2305695786eb6fe
Author: irykoon <irykoon@gmail.com>
Date:   Thu Jul 13 10:58:32 2017 +0000

    Use Tor ControlSocket and cookie file authentication
    1. Previously used Tor ControlPort is no loner open by defualt in Whonix14
    2. Therefore, we switched to use Tor ControlSocket
    3. Bug fixed: /run/tor/control is missing

commit 804d016d12a1c051a93725198319bbf5a5ad3c11
Author: irykoon <irykoon@gmail.com>
Date:   Sun Jul 9 08:52:59 2017 +0000

    remove stem and guimessage
    stem and guimessage have been packaged and shipped with Whonix14 by defualt.
    Therefore, there is no need to include them here.

commit 471276ba7222bd01e99335ddc7e3963a692b77fe
Author: irykoon <irykoon@gmail.com>
Date:   Sun Jul 9 08:49:32 2017 +0000

    no longer need anon-connection-wizard.torrc.orig

commit 47fcabdb269c5b5e522e7b3700c67ddd8d301a07
Author: irykoon <irykoon@gmail.com>
Date:   Sun Jul 9 08:42:35 2017 +0000

    TODO: no control port in Whonix14
    In Whonix14, No longer open Tor ControlPort 9051 on Whonix-Gateway:
    https://github.com/Whonix/anon-gw-anonymizer-config/commit/49ce21f97965609e4fe06af20005637878324fcc
    
    work around:
    1. add tor control port back
    2. or support Tor cookie file authentication

commit 0965a9a17a21abc31b26fa8f7455e89767c0f1fb
Author: irykoon <irykoon@gmail.com>
Date:   Sun Jul 9 04:45:07 2017 +0000

    bug fixed: tmp file is missing

commit a3912f1256564653df6079c773827a20bd5343d5
Author: irykoon <irykoon@gmail.com>
Date:   Sat Jul 8 11:28:53 2017 +0000

    eliminate useless commented code

commit 808c9f7c5f857c1d9c776827e327da2e51ae1460
Author: irykoon <irykoon@gmail.com>
Date:   Sat Jul 8 11:18:46 2017 +0000

    remove .tmp when it is no longer needed

commit 414ff36fdbafeed1c568564ab13dab9a2c419941
Author: irykoon <irykoon@gmail.com>
Date:   Sat Jul 8 11:01:41 2017 +0000

    better instructions in .torrc file and help button

commit 7717cb0bddaf9213519e0aa06d9c16ef5983175b
Author: irykoon <irykoon@gmail.com>
Date:   Sat Jul 8 09:44:26 2017 +0000

    eliminate the .orig approach

commit 54a315d4f9f8ad7b1cf9bf8cf3208413f2f898c3
Author: irykoon <irykoon@gmail.com>
Date:   Sat Jul 8 09:40:14 2017 +0000

    fix the direct connection option

commit b9ac35e5d8ed0141700d828de887cddac58115c3
Author: irykoon <irykoon@gmail.com>
Date:   Sat Jul 8 09:29:04 2017 +0000

    1. fix the situiation where an extra empty line is input to custom bridge line
    2. strip the '\n' out of port number

commit 725969a3b3e2015e9707a8c85d800257be874489
Author: irykoon <irykoon@gmail.com>
Date:   Sat Jul 8 09:17:23 2017 +0000

    1. switch from self-made .tmp file to python tmpfile
    2. polish the adjust according to .torrc feature

commit 983c9f0f0a5bcacd61fc9707d18156b89928ad85
Author: irykoon <irykoon@gmail.com>
Date:   Sat Jul 8 07:02:42 2017 +0000

    adjust default settings according to .torrc at beginning

commit 4e0d1e6039949412349abb3e329641c5d40e5e7c
Author: irykoon <irykoon@gmail.com>
Date:   Sat Jul 8 03:53:24 2017 +0000

    switched from /usr/lib/python3.4 to /usr/lib/python3/dist-packages

commit f896ff5f66e0ee600de6e3410b9113ca771e5554
Author: irykoon <irykoon@gmail.com>
Date:   Wed Jul 5 04:37:25 2017 +0000

    remove all .pyc files

commit e5aa4923137eb8709629b2a5214f1d59a4d35e7a
Author: irykoon <irykoon@gmail.com>
Date:   Wed Jul 5 03:52:42 2017 +0000

    corrected
     install path

commit 2f7321c48573ac4cfdeddf0c2b88bf322794abd1
Author: irykoon <irykoon@gmail.com>
Date:   Sun Jul 2 12:46:39 2017 +0000

    switch from /python3.4/dist-packages to /python3/dist-packages

commit eac0deb623685340d5f2b4517e4bce0045e888ff
Author: irykoon <irykoon@gmail.com>
Date:   Sun Jul 2 08:26:29 2017 +0000

    change shebang in /usr/bin/anon-connection-wizard to python3 -u

commit 49664049dbac4805a1c2b91357229ca1149ab5db
Author: irykoon <irykoon@gmail.com>
Date:   Sat Jul 1 00:15:51 2017 +0000

    remove "advance" button

commit db0d7b9b2e7ee42f0ac7a11c8788717d7294c24c
Author: irykoon <irykoon@gmail.com>
Date:   Fri Jun 30 23:32:45 2017 +0000

    .tmp will not overwrite .torrc if no changes were made before cancealing

commit d929cc404fb8f92cd5f65b1d0970cda836e735f3
Author: irykoon <irykoon@gmail.com>
Date:   Fri Jun 30 23:28:53 2017 +0000

    polish the instruction in anon-connection-wizard.torrc.orig

commit 509b9e60d4cdd14a956925283962233d09669ac5
Author: irykoon <irykoon@gmail.com>
Date:   Fri Jun 30 02:08:36 2017 +0000

    switch from edit-mark approach to torrc.d

commit f93ab137a642397e8e26f534e11e656a14a2dd0a
Author: irykoon <irykoon@gmail.com>
Date:   Fri Jun 30 02:06:58 2017 +0000

    add a new file /etc/tor/anon-connection-wizard.torrc.orig

commit c968190f54dedbb1b739729799eab6c0fe402939
Author: irykoon <irykoon@gmail.com>
Date:   Sun Jun 18 03:40:35 2017 +0000

    update to use the one in whonix-setup-wizard

commit 09adbd8dda953ca4fb41d40df94e99014ea3151d
Author: irykoon <irykoon@gmail.com>
Date:   Sat Jun 17 22:58:16 2017 +0000

    proxy password masked

commit 2c1b03f3e11845932deb5ab55d79e974d64d2e9e
Author: irykoon <irykoon@gmail.com>
Date:   Sat Jun 17 22:53:38 2017 +0000

    update URL for obtaining bridges

commit 5266cb7b2a57740dc3c377aad64b6290397c54a8
Author: irykoon <irykoon@gmail.com>
Date:   Sat Jun 17 22:49:00 2017 +0000

    commented out an option for not using bridges

commit bcf5efb0fa3540b0f75d842f0978322b0d5e55a9
Author: irykoon <irykoon@gmail.com>
Date:   Sat Jun 17 22:41:37 2017 +0000

    update assistance message

commit 886c9b899c9602e6466805d6fd8be7634ba93c41
Merge: b102cf6 b05c743
Author: irykoon <irykoon@gmail.com>
Date:   Sat Jun 17 15:56:49 2017 +0000

    Merge remote-tracking branch 'upstream/master'

commit b102cf6515cc4b13f0eb3e2307d1649b4cb375d3
Author: irykoon <irykoon@gmail.com>
Date:   Sun Jun 11 06:09:00 2017 +0000

    implement the torrc_page

commit 71ae782049016364813bac313ea1eef9db50dbb3
Author: irykoon <irykoon@gmail.com>
Date:   Sat Jun 10 17:48:53 2017 +0000

    delete outdated comments

commit d2f1e8ddacfc713896463939c4579b14d1e4b65f
Author: irykoon <irykoon@gmail.com>
Date:   Sat Jun 10 17:30:15 2017 +0000

    minor edit mark fixed

commit e11e39b9ca31312023f18970f58ad6d22fba92c1
Merge: 6f5ebca 1469a70
Author: irykoon <irykoon@gmail.com>
Date:   Sat Jun 10 17:01:38 2017 +0000

    Merge branch 'GUI_change'

commit 1469a7021ad84e81e3a987c747e7b334524e32dd
Author: irykoon <irykoon@gmail.com>
Date:   Sat Jun 10 17:00:30 2017 +0000

    delete 'managed' option in obfs4 lines

commit 5cf36a85d3e02a7ba0a006f97c56147143177fb6
Author: irykoon <irykoon@gmail.com>
Date:   Sat Jun 10 16:58:21 2017 +0000

    edit mark approach implemented

commit 6f5ebcaa0aa78ddabc5a65fe30be64462cc2d396
Author: irykoon <irykoon@gmail.com>
Date:   Thu May 18 19:42:33 2017 +0000

    add a help button on the proxy setting page

commit bdbcc3fcb7089e33e1b472db22e5303de4aae359
Author: iry <iry@riseup.net>
Date:   Thu May 18 06:19:02 2017 +0000

    eliminate unnecessary code

commit a2e5d18b0816e7c72327e2a3769b58493463c048
Author: iry <iry@riseup.net>
Date:   Thu May 18 03:38:54 2017 +0000

    add a third party censorship circumvention options
    minor UI improvement
    minor instructions improvement

commit d5cece86286ce68fde9bab5f83ea642adec320a1
Author: irykoon <irykoon@gmail.com>
Date:   Mon May 1 23:14:48 2017 +0000

    add TODO: customized CSS

commit b05c7437fbf0cc34fc4118ef1a137ea440bc6644
Merge: 506219f 0f95089
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 20 15:56:28 2017 +0100

    Merge remote-tracking branch 'origin/master'

commit 0f95089249738073548b1b3c9bbd7d53bfb97e92
Merge: 506219f d8b1990
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 20 15:51:41 2017 +0100

    Merge pull request #4 from irykoon/master
    
    Port from Python2 to Python3.4 & from PyQt4 to PyQt5

commit d8b19902b2f8e4f07ffd27fb95c60e9a597d68f8
Author: irykoon <irykoon@gmail.com>
Date:   Sat Mar 18 19:29:11 2017 +0000

    minor programming style changes

commit c1cb1710e4d292c19d69720ceb492d0ce6adc823
Author: irykoon <irykoon@gmail.com>
Date:   Sat Mar 18 05:01:30 2017 +0000

    fix help menu broken bug

commit 285b736b713e407c5a5c8e5da957f7b62ce2e42a
Author: irykoon <irykoon@gmail.com>
Date:   Sat Mar 18 04:22:38 2017 +0000

    allow long custom bridges input in one line

commit f9bf370ad0ed7ea7092ff4d81d6681fa1dadde83
Author: irykoon <irykoon@gmail.com>
Date:   Fri Mar 17 19:19:53 2017 +0000

    eliminate race conditions

commit 646abacc0322f8f0b9e5e1519f5ba571f7ed6cc7
Author: irykoon <irykoon@gmail.com>
Date:   Fri Mar 17 19:12:05 2017 +0000

    remove cache file

commit 21191536514f7f15cbe9d4f864f8890a9e3f754f
Author: irykoon <irykoon@gmail.com>
Date:   Fri Mar 17 19:09:16 2017 +0000

    change maintainer description

commit 25f05a3c761c7dec721715639acd80e60c776936
Merge: 32cec11 1f31199
Author: irykoon <irykoon@gmail.com>
Date:   Fri Mar 17 18:59:39 2017 +0000

    Merge pull request #2 from irykoon/port_to_python3
    
    Port from Python2 to Python3.4 & from PyQt4 to PyQt5

commit 1f31199db088022477da96b678c89f3b9225f4c3
Author: irykoon <irykoon@gmail.com>
Date:   Fri Mar 17 18:47:33 2017 +0000

    minor comment style change

commit 5e55a9e74319b16e48dacbcb6d54bbdf737d9d18
Author: irykoon <irykoon@gmail.com>
Date:   Fri Mar 17 18:44:13 2017 +0000

    Port PyQt4 to PyQt5: renew signal-and-slot

commit bc4a274d14427e78974373dd3ed3c6833cd271f0
Author: irykoon <irykoon@gmail.com>
Date:   Fri Mar 17 14:26:55 2017 +0000

    several feature added:
    custom bridges setting allows multiple lines
    change %s to .format

commit 485c618c8932410abbf36b092ba95d6dbaf2496b
Merge: a438aa2 399691d
Author: irykoon <irykoon@gmail.com>
Date:   Fri Mar 17 14:21:13 2017 +0000

    Merge branch 'port_to_python3' of https://github.com/irykoon/anon-connection-wizard into port_to_python3
    
    Conflicts:
            usr/lib/python3.4/dist-packages/anon_connection_wizard/anon_connection_wizard.py
    
    deleted:    usr/lib/python3.4/dist-packages/anon_connection_wizard/anon_connection_wizard.py

commit a438aa235a66f5f45a8a06140b23ff4f9b74e0ab
Author: irykoon <irykoon@gmail.com>
Date:   Fri Mar 17 14:10:43 2017 +0000

    several features added:
    custom bridges setting allows multiple lines
    change %s to .format

commit 399691dec73a00bd1f7f541d57e79154b5ff76d5
Author: irykoon <irykoon@gmail.com>
Date:   Thu Mar 16 18:21:03 2017 +0000

    port PyQt4 to PyQt5: split QtGui module

commit 209af57a3efa7f19d86bcdfd23fc52262e56189f
Author: irykoon <irykoon@gmail.com>
Date:   Thu Mar 16 06:37:00 2017 +0000

    move tor_status for python3 support

commit 4a161674dc82c49e7f7b3f2d1176dfdfd1038efd
Author: irykoon <irykoon@gmail.com>
Date:   Thu Mar 16 06:30:17 2017 +0000

    port PyQt4 to PyQt5

commit d17423c11b4806c548e73f00568b4d766f774ad8
Author: irykoon <irykoon@gmail.com>
Date:   Thu Mar 16 06:16:33 2017 +0000

    packaging simplification ruby-ronn (>= 0.7.3) -> ruby-ronn

commit 142d99385d6c6747fddaed52b03025a6ccac9437
Author: irykoon <irykoon@gmail.com>
Date:   Thu Mar 16 06:12:32 2017 +0000

    update build dependencies for python3
    remove faketime from build dependencies

commit 6e8c8176ae5642caa48a2bb4eca896312d468ff0
Author: irykoon <irykoon@gmail.com>
Date:   Thu Mar 16 05:53:30 2017 +0000

    update Depends

commit ac3eb22ae5c0f1b4c39910705c22149c4e2a6403
Author: irykoon <irykoon@gmail.com>
Date:   Thu Mar 16 05:43:41 2017 +0000

    update Depends

commit 32cec11368d8a83abe7ecad8668a4b665f8a10b2
Author: irykoon <irykoon@gmail.com>
Date:   Thu Mar 16 03:26:32 2017 +0000

    minor typo correction

commit 06735a77302b97bb7f038a171884018d75e4a8b1
Author: irykoon <irykoon@gmail.com>
Date:   Thu Mar 16 01:09:27 2017 +0000

    delete trailing space

commit 9801b50dac9b7bf435d4c511ea9768758438343f
Author: irykoon <irykoon@gmail.com>
Date:   Wed Mar 15 22:27:14 2017 +0000

    change whonix to anon

commit 54b0fd5ae7e8f1a2d7148f8728fc9440f1369c2f
Merge: 40e5a2d 48b9891
Author: irykoon <irykoon@gmail.com>
Date:   Wed Mar 15 21:55:50 2017 +0000

    Merge branch 'master' of https://github.com/irykoon/anon-connection-wizard

commit 40e5a2d7e3a5635cda497f73b1dd65647e67c4ca
Author: irykoon <irykoon@gmail.com>
Date:   Wed Mar 15 17:54:53 2017 +0000

    minor typo correction

commit 48b9891c03d49ef1844dd5486150be782f239e03
Merge: 3e23218 f358728
Author: irykoon <irykoon@gmail.com>
Date:   Wed Mar 15 17:48:31 2017 +0000

    Merge pull request #1 from irykoon/comment-style-change
    
    Comment style changed according to PEP8: https://www.python.org/dev/peps/pep-0008

commit f3587287e78ec51f9f17ce8ba2cc07c06f83d21a
Author: irykoon <irykoon@gmail.com>
Date:   Wed Mar 15 17:42:15 2017 +0000

    change programming style according to PEP8

commit 506219fae607607d7b7bae7ab1e038a8be5beb1f
Merge: 4871927 0875956
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 13 16:17:19 2017 +0100

    Merge remote-tracking branch 'origin/master'

commit 08759563bf8dcf9b98bd3c2d4ca1dfc0d63cebee
Merge: b4d5286 8bfd327
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 13 16:00:25 2017 +0100

    Merge pull request #2 from irykoon/pluggable-transport-renew
    
    Pluggable transport renew

commit b4d5286855e3e461abacde631ccff6f9ff903c9c
Merge: 4871927 3e23218
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 13 16:00:06 2017 +0100

    Merge pull request #1 from irykoon/master
    
    Basic features implementation

commit 8bfd327e152ecd46f8eb304213b642bf16d9768e
Author: irykoon <irykoon@gmail.com>
Date:   Sat Mar 11 06:49:25 2017 +0000

    renew pluggable-transport-type

commit 3e2321845cdd21fde64ac10b0f98fd2b0719faf7
Author: irykoon <irykoon@gmail.com>
Date:   Sat Mar 11 05:22:27 2017 +0000

    renew default bridges

commit 30791b0394de62889df315bf9b6a1654b3bc48b0
Author: irykoon <irykoon@gmail.com>
Date:   Sat Mar 11 04:46:45 2017 +0000

    basic features implementation

commit 4871927d84e856718ddd863aa8311078e6cd77f2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 21 03:55:27 2016 +0000

    mkdir early enough and mkdir -p

commit 7077a9896b30c93a54d54abe7ae210b23d07f1ad
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 21 03:40:22 2016 +0000

    minor

commit b411f7fb675765465ed621edc6c6ed1a5ca7f571
Author: troubadoour <trobador@riseup.net>
Date:   Sat Dec 5 20:40:53 2015 +0000

    + usr/share/anon-connection-wizard/bridges_default

commit 9626e61e06f9c0e82f0b679d3ea262376a57df00
Author: troubadoour <trobador@riseup.net>
Date:   Tue Dec 1 15:47:55 2015 +0000

    tor_status.py disable tor
    move stop tor command at the beginning of the function as it returns
    before execution

commit 8b990bf19cf9c599e12de0102f1dc24e60948356
Author: troubadoour <trobador@riseup.net>
Date:   Tue Dec 1 09:21:36 2015 +0000

    show Finish button after "Disable Tor"

commit c6574b54c3fd3c5d8829aa298bf62d96f20033eb
Author: troubadoour <trobador@riseup.net>
Date:   Tue Dec 1 09:19:37 2015 +0000

    tor_status.py
    service tor stop -> service tor@default stop

commit b6210e635876e30f350a2421759fb68ade829ab1
Author: troubadoour <trobador@riseup.net>
Date:   Mon Nov 30 22:10:27 2015 +0000

    + usr/bin/anon-connection-wizard

commit 99cbbd03907885bb3b6e1c3c68479cb6c4633528
Author: troubadoour <trobador@riseup.net>
Date:   Mon Nov 30 22:07:33 2015 +0000

    move files in /usr/lib/python2.7/dist-packages
    + __init__.py

commit 7ffc858b3e19b581fa72b946a2881d077074aa61
Author: troubadoour <trobador@riseup.net>
Date:   Mon Nov 30 21:11:55 2015 +0000

    initial release

commit 13ecc5e34bd7e1e1d800934793ae15daad5ac63c
Author: troubadoour <trobador@riseup.net>
Date:   Mon Nov 30 19:56:54 2015 +0000

    implement "Disable Tor" option

commit 652c4edc51ed2c096846bbc73a1d71b737e6fa20
Author: troubadoour <trobador@riseup.net>
Date:   Sun Nov 29 21:22:29 2015 +0000

    bug fix

commit 7920ac73a10b706e8526968b11b95ab5d3d346bc
Author: troubadoour <trobador@riseup.net>
Date:   Sun Nov 29 19:22:08 2015 +0000

    move files from home/user/whonix-connection-wizard/
    to  usr/share/whonix-connection-wizard/

commit 086cd9a714f71564a29d576c8d6c727aef094041
Author: troubadoour <trobador@riseup.net>
Date:   Sun Nov 29 18:57:43 2015 +0000

    initial commit
